/* SPDX-License-Identifier: GPL-2.0-or-later */
/*
 * Copyright (C) Telechips, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see the file COPYING, or write
 * to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef VIOC_CONFIG_H
#define	VIOC_CONFIG_H

/*
 * register offset
 */
#define RAWSTATUS0_OFFSET (0x000U)
#define RAWSTATUS1_OFFSET (0x004U)
#define RAWSTATUS2_OFFSET (0x008U)
#define SYNCSTATUS0_OFFSET (0x010U)
#define SYNCSTATUS1_OFFSET (0x014U)
#define SYNCSTATUS2_OFFSET (0x018U)
#define VECTORID_OFFSET (0x028U)
#define TEST_LOOP_OFFSET (0x038U)
#define CFG_PATH_MC_OFFSET (0x03CU)
#define CFG_MISC0_OFFSET (0x040U)
#define CFG_PATH_SC0_OFFSET (0x044U)
#define CFG_PATH_SC1_OFFSET (0x048U)
#define CFG_PATH_SC2_OFFSET (0x04CU)
#define CFG_PATH_SC3_OFFSET (0x050U)
#define CFG_PATH_VIQE0_OFFSET (0x054U)
#define CFG_PATH_DEINTLS_OFFSET (0x058U)
#define CFG_PATH_FDLY_OFFSET (0x078U)
#define CFG_MISC1_OFFSET (0x084U)
#define CFG_FBC_DEC_SEL_OFFSET (0x0B0U)
#define CFG_VIN_SEL_OFFSET (0x0B8U)
#define CFG_DEV_SEL_OFFSET (0x0BCU)
#define PWR_AUTOPD_OFFSET (0x0C8U)
#define PWR_CLKCTRL_OFFSET (0x0CCU)
#define PWR_BLK_PWDN0_OFFSET (0x0D0U)
#define PWR_BLK_PWDN1_OFFSET (0x0D4U)
#define PWR_BLK_SWR0_OFFSET (0x0D8U)
#define PWR_BLK_SWR1_OFFSET (0x0DCU)
#define CFG_WMIX_PATH_SWR_OFFSET (0x0E8U)
#define CFG_PATH_SC4_OFFSET (0x0F8U)
#define CFG_PATH_SC5_OFFSET (0x0FCU)
#define CFG_PATH_SC6_OFFSET (0x1A8U)
#define CFG_PATH_SC7_OFFSET (0x1ACU)
#define PWR_BLK_PWDN2_OFFSET (0x0128U)
#define PWR_BLK_SWR3_OFFSET (0x012CU)
#define CFG_PATH_VIQE1_OFFSET (0x130U)
#define PWR_BLK_PWDN3_OFFSET (0x1A0U)
#define PWR_BLK_SWR4_OFFSET (0x1A4U)
#define IRQSELECT0_0_OFFSET (0x400U)
#define IRQSELECT0_1_OFFSET (0x404U)
#define IRQSELECT0_2_OFFSET (0x408U)
#define IRQMASKSET0_0_OFFSET (0x410U)
#define IRQMASKSET0_1_OFFSET (0x414U)
#define IRQMASKSET0_2_OFFSET (0x418U)
#define IRQMASKCLR0_0_OFFSET (0x420U)
#define IRQMASKCLR0_1_OFFSET (0x424U)
#define IRQMASKCLR0_2_OFFSET (0x428U)
#define IRQSELECT1_0_OFFSET (0x430U)
#define IRQSELECT1_1_OFFSET (0x434U)
#define IRQSELECT1_2_OFFSET (0x438U)
#define IRQMASKSET1_0_OFFSET (0x440U)
#define IRQMASKSET1_1_OFFSET (0x444U)
#define IRQMASKSET1_2_OFFSET (0x448U)
#define IRQMASKCLR1_0_OFFSET (0x450U)
#define IRQMASKCLR1_1_OFFSET (0x454U)
#define IRQMASKCLR1_2_OFFSET (0x458U)
#define IRQSELECT2_0_OFFSET (0x460U)
#define IRQSELECT2_1_OFFSET (0x464U)
#define IRQSELECT2_2_OFFSET (0x468U)
#define IRQMASKSET2_0_OFFSET (0x470U)
#define IRQMASKSET2_1_OFFSET (0x474U)
#define IRQMASKSET2_2_OFFSET (0x478U)
#define IRQMASKCLR2_0_OFFSET (0x480U)
#define IRQMASKCLR2_1_OFFSET (0x484U)
#define IRQMASKCLR2_2_OFFSET (0x488U)
#define IRQSELECT3_0_OFFSET (0x490U)
#define IRQSELECT3_1_OFFSET (0x494U)
#define IRQSELECT3_2_OFFSET (0x498U)
#define IRQMASKSET3_0_OFFSET (0x4A0U)
#define IRQMASKSET3_1_OFFSET (0x4A4U)
#define IRQMASKSET3_2_OFFSET (0x4A8U)
#define IRQMASKCLR3_0_OFFSET (0x4B0U)
#define IRQMASKCLR3_1_OFFSET (0x4B4U)
#define IRQMASKCLR3_2_OFFSET (0x4B8U)

/*
 * Interrupt Status 0 Registers
 * @Description: 0 - Normal, 1 - Interrupt
 */
#define RAWSTATUS0_DEV3_SHIFT (30U)	// Display Controller 3 Interrupt Status
#define RAWSTATUS0_FIFO1_SHIFT (29U)	// ASync. FIFO1 Interrupt Status
#define RAWSTATUS0_FIFO0_SHIFT (28U)	// ASync. FIFO0 Interrupt Status
#define RAWSTATUS0_MC1_SHIFT (23U)	// Map Conv1 interrupt Status
#define RAWSTATUS0_MC0_SHIFT (22U)	// Map Conv0 interrupt Status
#define RAWSTATUS0_RD17_SHIFT (21U)	// RDMA17 interrupt Status
#define RAWSTATUS0_RD16_SHIFT (20U)	// RDMA16 interrupt Status
#define RAWSTATUS0_RD15_SHIFT (19U)	// RDMA15 interrupt Status
#define RAWSTATUS0_RD14_SHIFT (18U)	// RDMA14 interrupt Status
#define RAWSTATUS0_RD13_SHIFT (17U)	// RDMA13 interrupt Status
#define RAWSTATUS0_RD12_SHIFT (16U)	// RDMA12 interrupt Status
#define RAWSTATUS0_RD11_SHIFT (15U)	// RDMA11 interrupt Status
#define RAWSTATUS0_RD10_SHIFT (14U)	// RDMA10 interrupt Status
#define RAWSTATUS0_RD9_SHIFT (13U)	// RDMA09 interrupt Status
#define RAWSTATUS0_RD8_SHIFT (12U)	// RDMA08 interrupt Status
#define RAWSTATUS0_RD7_SHIFT (11U)	// RDMA07 interrupt Status
#define RAWSTATUS0_RD6_SHIFT (10U)	// RDMA06 interrupt Status
#define RAWSTATUS0_RD5_SHIFT (9U)	// RDMA05 interrupt Status
#define RAWSTATUS0_RD4_SHIFT (8U)	// RDMA04 interrupt Status
#define RAWSTATUS0_RD3_SHIFT (7U)	// RDMA03 interrupt Status
#define RAWSTATUS0_RD2_SHIFT (6U)	// RDMA02 interrupt Status
#define RAWSTATUS0_RD1_SHIFT (5U)	// RDMA01 interrupt Status
#define RAWSTATUS0_RD0_SHIFT (4U)	// RDMA00 interrupt Status
#define RAWSTATUS0_TIMER_SHIFT (3U)	// TIMER interrupt Status
#define RAWSTATUS0_DEV2_SHIFT (2U) // Display Device 2 interrupt Status
#define RAWSTATUS0_DEV1_SHIFT (1U) // Display Device 1 interrupt Status
#define RAWSTATUS0_DEV0_SHIFT (0U) // Display Device 0 interrupt Status

#define RAWSTATUS0_DEV3_MASK ((u32)0x1U << RAWSTATUS0_DEV3_SHIFT)
#define RAWSTATUS0_FIFO1_MASK ((u32)0x1U << RAWSTATUS0_FIFO1_SHIFT)
#define RAWSTATUS0_FIFO0_MASK ((u32)0x1U << RAWSTATUS0_FIFO0_SHIFT)
#define RAWSTATUS0_MC1_MASK ((u32)0x1U << RAWSTATUS0_MC1_SHIFT)
#define RAWSTATUS0_MC0_MASK ((u32)0x1U << RAWSTATUS0_MC0_SHIFT)
#define RAWSTATUS0_RD17_MASK ((u32)0x1U << RAWSTATUS0_RD17_SHIFT)
#define RAWSTATUS0_RD16_MASK ((u32)0x1U << RAWSTATUS0_RD16_SHIFT)
#define RAWSTATUS0_RD15_MASK ((u32)0x1U << RAWSTATUS0_RD15_SHIFT)
#define RAWSTATUS0_RD14_MASK ((u32)0x1U << RAWSTATUS0_RD14_SHIFT)
#define RAWSTATUS0_RD13_MASK ((u32)0x1U << RAWSTATUS0_RD13_SHIFT)
#define RAWSTATUS0_RD12_MASK ((u32)0x1U << RAWSTATUS0_RD12_SHIFT)
#define RAWSTATUS0_RD11_MASK ((u32)0x1U << RAWSTATUS0_RD11_SHIFT)
#define RAWSTATUS0_RD10_MASK ((u32)0x1U << RAWSTATUS0_RD10_SHIFT)
#define RAWSTATUS0_RD9_MASK ((u32)0x1U << RAWSTATUS0_RD9_SHIFT)
#define RAWSTATUS0_RD8_MASK ((u32)0x1U << RAWSTATUS0_RD8_SHIFT)
#define RAWSTATUS0_RD7_MASK ((u32)0x1U << RAWSTATUS0_RD7_SHIFT)
#define RAWSTATUS0_RD6_MASK ((u32)0x1U << RAWSTATUS0_RD6_SHIFT)
#define RAWSTATUS0_RD5_MASK ((u32)0x1U << RAWSTATUS0_RD5_SHIFT)
#define RAWSTATUS0_RD4_MASK ((u32)0x1U << RAWSTATUS0_RD4_SHIFT)
#define RAWSTATUS0_RD3_MASK ((u32)0x1U << RAWSTATUS0_RD3_SHIFT)
#define RAWSTATUS0_RD2_MASK ((u32)0x1U << RAWSTATUS0_RD2_SHIFT)
#define RAWSTATUS0_RD1_MASK ((u32)0x1U << RAWSTATUS0_RD1_SHIFT)
#define RAWSTATUS0_RD0_MASK ((u32)0x1U << RAWSTATUS0_RD0_SHIFT)
#define RAWSTATUS0_TIMER_MASK ((u32)0x1U << RAWSTATUS0_TIMER_SHIFT)
#define RAWSTATUS0_DEV2_MASK ((u32)0x1U << RAWSTATUS0_DEV2_SHIFT)
#define RAWSTATUS0_DEV1_MASK ((u32)0x1U << RAWSTATUS0_DEV1_SHIFT)
#define RAWSTATUS0_DEV0_MASK ((u32)0x1U << RAWSTATUS0_DEV0_SHIFT)

/*
 * Interrupt Status 1 Registers
 * @Description: 0 - Normal, 1 - Interrupt
 */
#define RAWSTATUS1_SC3_SHIFT (31U)	// Scaler3 Interrupt Status
#define RAWSTATUS1_SC2_SHIFT (30U)	// Scaler2 Interrupt Status
#define RAWSTATUS1_SC1_SHIFT (29U)	// Scaler1 Interrupt Status
#define RAWSTATUS1_SC0_SHIFT (28U)	// Scaler0 Interrupt Status
#define RAWSTATUS1_VIQE0_SHIFT (27U)	// VIQE0 Interrupt Status
#define RAWSTATUS1_VIN3_SHIFT (26U)	// VIN3 Interrupt Status
#define RAWSTATUS1_VIN2_SHIFT (25U)	// VIN2 Interrupt Status
#define RAWSTATUS1_VIN1_SHIFT (24U)	// VIN1 Interrupt Status
#define RAWSTATUS1_VIN0_SHIFT (23U)	// VIN0 Interrupt Status
#define RAWSTATUS1_WMIX6_SHIFT (22U)	// WMIX6 Interrupt Status
#define RAWSTATUS1_WMIX5_SHIFT (21U)	// WMIX5 Interrupt Status
#define RAWSTATUS1_WMIX4_SHIFT (20U)	// WMIX4 Interrupt Status
#define RAWSTATUS1_WMIX3_SHIFT (19U)	// WMIX3 Interrupt Status
#define RAWSTATUS1_WMIX2_SHIFT (18U)	// WMIX2 Interrupt Status
#define RAWSTATUS1_WMIX1_SHIFT (17U)	// WMIX1 Interrupt Status
#define RAWSTATUS1_WMIX0_SHIFT (16U)	// WMIX0 Interrupt Status
#define RAWSTATUS1_VIQE1_SHIFT (13U)	// VIQE1 Interrupt Status
#define RAWSTATUS1_SC5_SHIFT (12U)	// Scaler5 Interrupt Status
#define RAWSTATUS1_SC4_SHIFT (11U)	// Scaler4 Interrupt Status
#define RAWSTATUS1_WD8_SHIFT (8U)	// WDMA08 Interrupt Status
#define RAWSTATUS1_WD7_SHIFT (7U)	// WDMA07 Interrupt Status
#define RAWSTATUS1_WD6_SHIFT (6U)	// WDMA06 Interrupt Status
#define RAWSTATUS1_WD5_SHIFT (5U)	// WDMA05 Interrupt Status
#define RAWSTATUS1_WD4_SHIFT (4U)	// WDMA04 Interrupt Status
#define RAWSTATUS1_WD3_SHIFT (3U)	// WDMA03 Interrupt Status
#define RAWSTATUS1_WD2_SHIFT (2U)	// WDMA02 Interrupt Status
#define RAWSTATUS1_WD1_SHIFT (1U)	// WDMA01 Interrupt Status
#define RAWSTATUS1_WD0_SHIFT (0U)	// WDMA00 Interrupt Status

#define RAWSTATUS1_SC3_MASK ((u32)0x1U << RAWSTATUS1_SC3_SHIFT)
#define RAWSTATUS1_SC2_MASK ((u32)0x1U << RAWSTATUS1_SC2_SHIFT)
#define RAWSTATUS1_SC1_MASK ((u32)0x1U << RAWSTATUS1_SC1_SHIFT)
#define RAWSTATUS1_SC0_MASK ((u32)0x1U << RAWSTATUS1_SC0_SHIFT)
#define RAWSTATUS1_VIQE0_MASK ((u32)0x1U << RAWSTATUS1_VIQE0_SHIFT)
#define RAWSTATUS1_VIN3_MASK ((u32)0x1U << RAWSTATUS1_VIN3_SHIFT)
#define RAWSTATUS1_VIN2_MASK ((u32)0x1U << RAWSTATUS1_VIN2_SHIFT)
#define RAWSTATUS1_VIN1_MASK ((u32)0x1U << RAWSTATUS1_VIN1_SHIFT)
#define RAWSTATUS1_VIN0_MASK ((u32)0x1U << RAWSTATUS1_VIN0_SHIFT)
#define RAWSTATUS1_WMIX6_MASK ((u32)0x1U << RAWSTATUS1_WMIX6_SHIFT)
#define RAWSTATUS1_WMIX5_MASK ((u32)0x1U << RAWSTATUS1_WMIX5_SHIFT)
#define RAWSTATUS1_WMIX4_MASK ((u32)0x1U << RAWSTATUS1_WMIX4_SHIFT)
#define RAWSTATUS1_WMIX3_MASK ((u32)0x1U << RAWSTATUS1_WMIX3_SHIFT)
#define RAWSTATUS1_WMIX2_MASK ((u32)0x1U << RAWSTATUS1_WMIX2_SHIFT)
#define RAWSTATUS1_WMIX1_MASK ((u32)0x1U << RAWSTATUS1_WMIX1_SHIFT)
#define RAWSTATUS1_WMIX0_MASK ((u32)0x1U << RAWSTATUS1_WMIX0_SHIFT)
#define RAWSTATUS1_VIQE1_MASK ((u32)0x1U << RAWSTATUS1_VIQE1_SHIFT)
#define RAWSTATUS1_SC5_MASK ((u32)0x1U << RAWSTATUS1_SC5_SHIFT)
#define RAWSTATUS1_SC4_MASK ((u32)0x1U << RAWSTATUS1_SC4_SHIFT)
#define RAWSTATUS1_WD8_MASK ((u32)0x1U << RAWSTATUS1_WD8_SHIFT)
#define RAWSTATUS1_WD7_MASK ((u32)0x1U << RAWSTATUS1_WD7_SHIFT)
#define RAWSTATUS1_WD6_MASK ((u32)0x1U << RAWSTATUS1_WD6_SHIFT)
#define RAWSTATUS1_WD5_MASK ((u32)0x1U << RAWSTATUS1_WD5_SHIFT)
#define RAWSTATUS1_WD4_MASK ((u32)0x1U << RAWSTATUS1_WD4_SHIFT)
#define RAWSTATUS1_WD3_MASK ((u32)0x1U << RAWSTATUS1_WD3_SHIFT)
#define RAWSTATUS1_WD2_MASK ((u32)0x1U << RAWSTATUS1_WD2_SHIFT)
#define RAWSTATUS1_WD1_MASK ((u32)0x1U << RAWSTATUS1_WD1_SHIFT)
#define RAWSTATUS1_WD0_MASK ((u32)0x1U << RAWSTATUS1_WD0_SHIFT)

/*
 * Interrupt Status 2 Register
 */
#define RAWSTATUS2_WD13_SHIFT (18U)	// WD13 Interrupt Status
#define RAWSTATUS2_SC7_SHIFT (17U)	// SC7 Interrupt Status
#define RAWSTATUS2_SC6_SHIFT (16U)	// SC6 Interrupt Status
#define RAWSTATUS2_VIN7_SHIFT (15U)	// VIN7 Interrupt Status
#define RAWSTATUS2_VIN6_SHIFT (14U)	// VIN6 Interrupt Status
#define RAWSTATUS2_VIN5_SHIFT (13U)	// VIN5 Interrupt Status
#define RAWSTATUS2_VIN4_SHIFT (12U)	// VIN4 Interrupt Status
#define RAWSTATUS2_WD12_SHIFT (11U)	// WD12 Interrupt Status
#define RAWSTATUS2_WD11_SHIFT (10U)	// WD11 Interrupt Status
#define RAWSTATUS2_WD10_SHIFT (9U)	// WD10 Interrupt Status
#define RAWSTATUS2_WD9_SHIFT (8U)	// WD9 Interrupt Status
#define RAWSTATUS2_FBC_DEC1_SHIFT (1U)	// PVRIC_FBDC 01 Interrupt Status
#define RAWSTATUS2_FBC_DEC0_SHIFT (0U)	// PVRIC_FBDC_00 Interrupt Status

#define RAWSTATUS2_WD13_MASK ((u32)0x1U << RAWSTATUS2_WD13_SHIFT)
#define RAWSTATUS2_SC7_MASK ((u32)0x1U << RAWSTATUS2_SC7_SHIFT)
#define RAWSTATUS2_SC6_MASK ((u32)0x1U << RAWSTATUS2_SC6_SHIFT)
#define RAWSTATUS2_VIN7_MASK ((u32)0x1U << RAWSTATUS2_VIN7_SHIFT)
#define RAWSTATUS2_VIN6_MASK ((u32)0x1U << RAWSTATUS2_VIN6_SHIFT)
#define RAWSTATUS2_VIN5_MASK ((u32)0x1U << RAWSTATUS2_VIN5_SHIFT)
#define RAWSTATUS2_VIN4_MASK ((u32)0x1U << RAWSTATUS2_VIN4_SHIFT)
#define RAWSTATUS2_WD12_MASK ((u32)0x1U << RAWSTATUS2_WD12_SHIFT)
#define RAWSTATUS2_WD11_MASK ((u32)0x1U << RAWSTATUS2_WD11_SHIFT)
#define RAWSTATUS2_WD10_MASK ((u32)0x1U << RAWSTATUS2_WD10_SHIFT)
#define RAWSTATUS2_WD9_MASK ((u32)0x1U << RAWSTATUS2_WD9_SHIFT)
#define RAWSTATUS2_FBC_DEC1_MASK ((u32)0x1U << RAWSTATUS2_FBC_DEC1_SHIFT)
#define RAWSTATUS2_FBC_DEC0_MASK ((u32)0x1U << RAWSTATUS2_FBC_DEC0_SHIFT)

/*
 * Sync Interrupt Status 0 Registers
 * @Description: 0 - Normal, 1 - Interrupt
 */
#define SYNCSTATUS0_DEV3_SHIFT (30U) // Display Controller3 Sync Interrupt Status
#define SYNCSTATUS0_FIFO1_SHIFT (29U) // ASync. FIFO1 Sync Interrupt Status
#define SYNCSTATUS0_FIFO0_SHIFT (28U) // ASync. FIFO0 Sync Interrupt Status
#define SYNCSTATUS0_MC1_SHIFT (23U)	// Map Conv1 Sync Interrupt Status
#define SYNCSTATUS0_MC0_SHIFT (22U)	// Map Conv0 Sync Interrupt Status
#define SYNCSTATUS0_RD17_SHIFT (21U)	// RDMA17 Sync Interrupt Status
#define SYNCSTATUS0_RD16_SHIFT (20U)	// RDMA16 Sync Interrupt Status
#define SYNCSTATUS0_RD15_SHIFT (19U)	// RDMA15 Sync Interrupt Status
#define SYNCSTATUS0_RD14_SHIFT (18U)	// RDMA14 Sync Interrupt Status
#define SYNCSTATUS0_RD13_SHIFT (17U)	// RDMA13 Sync Interrupt Status
#define SYNCSTATUS0_RD12_SHIFT (16U)	// RDMA12 Sync Interrupt Status
#define SYNCSTATUS0_RD11_SHIFT (15U)	// RDMA11 Sync Interrupt Status
#define SYNCSTATUS0_RD10_SHIFT (14U)	// RDMA10 Sync Interrupt Status
#define SYNCSTATUS0_RD9_SHIFT (13U)	// RDMA09 Sync Interrupt Status
#define SYNCSTATUS0_RD8_SHIFT (12U)	// RDMA08 Sync Interrupt Status
#define SYNCSTATUS0_RD7_SHIFT (11U)	// RDMA07 Sync Interrupt Status
#define SYNCSTATUS0_RD6_SHIFT (10U)	// RDMA06 Sync Interrupt Status
#define SYNCSTATUS0_RD5_SHIFT (9U)	// RDMA05 Sync Interrupt Status
#define SYNCSTATUS0_RD4_SHIFT (8U)	// RDMA04 Sync Interrupt Status
#define SYNCSTATUS0_RD3_SHIFT (7U)	// RDMA03 Sync Interrupt Status
#define SYNCSTATUS0_RD2_SHIFT (6U)	// RDMA02 Sync Interrupt Status
#define SYNCSTATUS0_RD1_SHIFT (5U)	// RDMA01 Sync Interrupt Status
#define SYNCSTATUS0_RD0_SHIFT (4U)	// RDMA00 Sync Interrupt Status
#define SYNCSTATUS0_TIMER_SHIFT (3U)	// TIMER Sync Interrupt Status
#define SYNCSTATUS0_DEV2_SHIFT (2U) // Display Device 2 Sync Interrupt Status
#define SYNCSTATUS0_DEV1_SHIFT (1U) // Display Device 1 Sync Interrupt Status
#define SYNCSTATUS0_DEV0_SHIFT (0U) // Display Device 0 Sync Interrupt Status

#define SYNCSTATUS0_DEV3_MASK ((u32)0x1U <<	SYNCSTATUS0_DEV3_SHIFT)
#define SYNCSTATUS0_FIFO1_MASK ((u32)0x1U <<	SYNCSTATUS0_FIFO1_SHIFT)
#define SYNCSTATUS0_FIFO0_MASK ((u32)0x1U <<	SYNCSTATUS0_FIFO0_SHIFT)
#define SYNCSTATUS0_MC1_MASK ((u32)0x1U <<	SYNCSTATUS0_MC1_SHIFT)
#define SYNCSTATUS0_MC0_MASK ((u32)0x1U <<	SYNCSTATUS0_MC0_SHIFT)
#define SYNCSTATUS0_RD17_MASK ((u32)0x1U <<	SYNCSTATUS0_RD17_SHIFT)
#define SYNCSTATUS0_RD16_MASK ((u32)0x1U <<	SYNCSTATUS0_RD16_SHIFT)
#define SYNCSTATUS0_RD15_MASK ((u32)0x1U <<	SYNCSTATUS0_RD15_SHIFT)
#define SYNCSTATUS0_RD14_MASK ((u32)0x1U <<	SYNCSTATUS0_RD14_SHIFT)
#define SYNCSTATUS0_RD13_MASK ((u32)0x1U <<	SYNCSTATUS0_RD13_SHIFT)
#define SYNCSTATUS0_RD12_MASK ((u32)0x1U <<	SYNCSTATUS0_RD12_SHIFT)
#define SYNCSTATUS0_RD11_MASK ((u32)0x1U <<	SYNCSTATUS0_RD11_SHIFT)
#define SYNCSTATUS0_RD10_MASK ((u32)0x1U <<	SYNCSTATUS0_RD10_SHIFT)
#define SYNCSTATUS0_RD9_MASK ((u32)0x1U <<	SYNCSTATUS0_RD9_SHIFT)
#define SYNCSTATUS0_RD8_MASK ((u32)0x1U <<	SYNCSTATUS0_RD8_SHIFT)
#define SYNCSTATUS0_RD7_MASK ((u32)0x1U <<	SYNCSTATUS0_RD7_SHIFT)
#define SYNCSTATUS0_RD6_MASK ((u32)0x1U <<	SYNCSTATUS0_RD6_SHIFT)
#define SYNCSTATUS0_RD5_MASK ((u32)0x1U <<	SYNCSTATUS0_RD5_SHIFT)
#define SYNCSTATUS0_RD4_MASK ((u32)0x1U <<	SYNCSTATUS0_RD4_SHIFT)
#define SYNCSTATUS0_RD3_MASK ((u32)0x1U <<	SYNCSTATUS0_RD3_SHIFT)
#define SYNCSTATUS0_RD2_MASK ((u32)0x1U <<	SYNCSTATUS0_RD2_SHIFT)
#define SYNCSTATUS0_RD1_MASK ((u32)0x1U <<	SYNCSTATUS0_RD1_SHIFT)
#define SYNCSTATUS0_RD0_MASK ((u32)0x1U <<	SYNCSTATUS0_RD0_SHIFT)
#define SYNCSTATUS0_TIMER_MASK ((u32)0x1U <<	SYNCSTATUS0_TIMER_SHIFT)
#define SYNCSTATUS0_DEV2_MASK ((u32)0x1U <<	SYNCSTATUS0_DEV2_SHIFT)
#define SYNCSTATUS0_DEV1_MASK ((u32)0x1U <<	SYNCSTATUS0_DEV1_SHIFT)
#define SYNCSTATUS0_DEV0_MASK ((u32)0x1U <<	SYNCSTATUS0_DEV0_SHIFT)

/*
 * Sync Interrupt Status 1 Registers
 * Description: 0 - Normal, 1 - Interrupt
 */
#define SYNCSTATUS1_SC3_SHIFT (31U)	// Scaler3 Sync Interrupt Status
#define SYNCSTATUS1_SC2_SHIFT (30U)	// Scaler2 Sync Interrupt Status
#define SYNCSTATUS1_SC1_SHIFT (29U)	// Scaler1 Sync Interrupt Status
#define SYNCSTATUS1_SC0_SHIFT (28U)	// Scaler0 Sync Interrupt Status
#define SYNCSTATUS1_VIQE0_SHIFT (27U)	// VIQE0 Sync Interrupt Status
#define SYNCSTATUS1_VIN3_SHIFT (26U)	// VIN3 Sync Interrupt Status
#define SYNCSTATUS1_VIN2_SHIFT (25U)	// VIN2 Sync Interrupt Status
#define SYNCSTATUS1_VIN1_SHIFT (24U)	// VIN1 Sync Interrupt Status
#define SYNCSTATUS1_VIN0_SHIFT (23U)	// VIN0 Sync Interrupt Status
#define SYNCSTATUS1_WMIX6_SHIFT (22U)	// WMIX6 Sync Interrupt Status
#define SYNCSTATUS1_WMIX5_SHIFT (21U)	// WMIX5 Sync Interrupt Status
#define SYNCSTATUS1_WMIX4_SHIFT (20U)	// WMIX4 Sync Interrupt Status
#define SYNCSTATUS1_WMIX3_SHIFT (19U)	// WMIX3 Sync Interrupt Status
#define SYNCSTATUS1_WMIX2_SHIFT (18U)	// WMIX2 Sync Interrupt Status
#define SYNCSTATUS1_WMIX1_SHIFT (17U)	// WMIX1 Sync Interrupt Status
#define SYNCSTATUS1_WMIX0_SHIFT (16U)	// WMIX0 Sync Interrupt Status
#define SYNCSTATUS1_VIQE1_SHIFT (13U)	// VIQE1 Sync Interrupt Status
#define SYNCSTATUS1_SC4_SHIFT (11U)	// Scaler4 Sync Interrupt Status
#define SYNCSTATUS1_WD8_SHIFT (8U)	// WDMA08 Sync Interrupt Status
#define SYNCSTATUS1_WD7_SHIFT (7U)	// WDMA07 Sync Interrupt Status
#define SYNCSTATUS1_WD6_SHIFT (6U)	// WDMA06 Sync Interrupt Status
#define SYNCSTATUS1_WD5_SHIFT (5U)	// WDMA05 Sync Interrupt Status
#define SYNCSTATUS1_WD4_SHIFT (4U)	// WDMA04 Sync Interrupt Status
#define SYNCSTATUS1_WD3_SHIFT (3U)	// WDMA03 Sync Interrupt Status
#define SYNCSTATUS1_WD2_SHIFT (2U)	// WDMA02 Sync Interrupt Status
#define SYNCSTATUS1_WD1_SHIFT (1U)	// WDMA01 Sync Interrupt Status
#define SYNCSTATUS1_WD0_SHIFT (0U)	// WDMA00 Sync Interrupt Status

#define SYNCSTATUS1_SC3_MASK ((u32)0x1U << SYNCSTATUS1_SC3_SHIFT)
#define SYNCSTATUS1_SC2_MASK ((u32)0x1U << SYNCSTATUS1_SC2_SHIFT)
#define SYNCSTATUS1_SC1_MASK ((u32)0x1U << SYNCSTATUS1_SC1_SHIFT)
#define SYNCSTATUS1_SC0_MASK ((u32)0x1U << SYNCSTATUS1_SC0_SHIFT)
#define SYNCSTATUS1_VIQE0_MASK ((u32)0x1U << SYNCSTATUS1_VIQE0_SHIFT)
#define SYNCSTATUS1_VIN3_MASK ((u32)0x1U << SYNCSTATUS1_VIN3_SHIFT)
#define SYNCSTATUS1_VIN2_MASK ((u32)0x1U << SYNCSTATUS1_VIN2_SHIFT)
#define SYNCSTATUS1_VIN1_MASK ((u32)0x1U << SYNCSTATUS1_VIN1_SHIFT)
#define SYNCSTATUS1_VIN0_MASK ((u32)0x1U << SYNCSTATUS1_VIN0_SHIFT)
#define SYNCSTATUS1_WMIX6_MASK ((u32)0x1U << SYNCSTATUS1_WMIX6_SHIFT)
#define SYNCSTATUS1_WMIX5_MASK ((u32)0x1U << SYNCSTATUS1_WMIX5_SHIFT)
#define SYNCSTATUS1_WMIX4_MASK ((u32)0x1U << SYNCSTATUS1_WMIX4_SHIFT)
#define SYNCSTATUS1_WMIX3_MASK ((u32)0x1U << SYNCSTATUS1_WMIX3_SHIFT)
#define SYNCSTATUS1_WMIX2_MASK ((u32)0x1U << SYNCSTATUS1_WMIX2_SHIFT)
#define SYNCSTATUS1_WMIX1_MASK ((u32)0x1U << SYNCSTATUS1_WMIX1_SHIFT)
#define SYNCSTATUS1_WMIX0_MASK ((u32)0x1U << SYNCSTATUS1_WMIX0_SHIFT)
#define SYNCSTATUS1_VIQE1_MASK ((u32)0x1U << SYNCSTATUS1_VIQE1_SHIFT)
#define SYNCSTATUS1_SC4_MASK ((u32)0x1U << SYNCSTATUS1_SC4_SHIFT)
#define SYNCSTATUS1_WD8_MASK ((u32)0x1U << SYNCSTATUS1_WD8_SHIFT)
#define SYNCSTATUS1_WD7_MASK ((u32)0x1U << SYNCSTATUS1_WD7_SHIFT)
#define SYNCSTATUS1_WD6_MASK ((u32)0x1U << SYNCSTATUS1_WD6_SHIFT)
#define SYNCSTATUS1_WD5_MASK ((u32)0x1U << SYNCSTATUS1_WD5_SHIFT)
#define SYNCSTATUS1_WD4_MASK ((u32)0x1U << SYNCSTATUS1_WD4_SHIFT)
#define SYNCSTATUS1_WD3_MASK ((u32)0x1U << SYNCSTATUS1_WD3_SHIFT)
#define SYNCSTATUS1_WD2_MASK ((u32)0x1U << SYNCSTATUS1_WD2_SHIFT)
#define SYNCSTATUS1_WD1_MASK ((u32)0x1U << SYNCSTATUS1_WD1_SHIFT)
#define SYNCSTATUS1_WD0_MASK ((u32)0x1U << SYNCSTATUS1_WD0_SHIFT)

/*
 * Sync Interrupt Status 2 Register
 */
#define SYNCSTATUS2_WD13_SHIFT (18U) // WDMA12 Sync Interrupt Status
#define SYNCSTATUS2_SC7_SHIFT (17U) // Scaler7 Sync Interrupt Status
#define SYNCSTATUS2_SC6_SHIFT (16U) // Scaler6 Sync Interrupt Status
#define SYNCSTATUS2_VIN7_SHIFT (15U) // VIN7 Sync Interrupt Status
#define SYNCSTATUS2_VIN6_SHIFT (14U) // VIN6 Sync Interrupt Status
#define SYNCSTATUS2_VIN5_SHIFT (13U) // VIN5 Sync Interrupt Status
#define SYNCSTATUS2_VIN4_SHIFT (12U) // VIN4 Sync Interrupt Status
#define SYNCSTATUS2_WD12_SHIFT (11U) // WDMA12 Sync Interrupt Status
#define SYNCSTATUS2_WD11_SHIFT (10U) // WDMA11 Sync Interrupt Status
#define SYNCSTATUS2_WD10_SHIFT (9U) // WDMA10 Sync Interrupt Status
#define SYNCSTATUS2_WD9_SHIFT (8U) // WDMA9 Sync Interrupt Status
#define SYNCSTATUS2_FBC_DEC1_SHIFT (1U) // AFBC_DEC_01 Sync Interrupt Status
#define SYNCSTATUS2_FBC_DEC0_SHIFT (0U) // AFBC_DEC_00 Sync Interrupt Status

#define SYNCSTATUS2_WD13_MASK ((u32)0x1U << SYNCSTATUS2_WD13_SHIFT)
#define SYNCSTATUS2_SC7_MASK ((u32)0x1U << SYNCSTATUS2_SC7_SHIFT)
#define SYNCSTATUS2_SC6_MASK ((u32)0x1U << SYNCSTATUS2_SC6_SHIFT)
#define SYNCSTATUS2_VIN7_MASK ((u32)0x1U << SYNCSTATUS2_VIN7_SHIFT)
#define SYNCSTATUS2_VIN6_MASK ((u32)0x1U << SYNCSTATUS2_VIN6_SHIFT)
#define SYNCSTATUS2_VIN5_MASK ((u32)0x1U << SYNCSTATUS2_VIN5_SHIFT)
#define SYNCSTATUS2_VIN4_MASK ((u32)0x1U << SYNCSTATUS2_VIN4_SHIFT)
#define SYNCSTATUS2_WD12_MASK ((u32)0x1U << SYNCSTATUS2_WD12_SHIFT)
#define SYNCSTATUS2_WD11_MASK ((u32)0x1U << SYNCSTATUS2_WD11_SHIFT)
#define SYNCSTATUS2_WD10_MASK ((u32)0x1U << SYNCSTATUS2_WD10_SHIFT)
#define SYNCSTATUS2_WD9_MASK ((u32)0x1U << SYNCSTATUS2_WD19_SHIFT)
#define SYNCSTATUS2_FBC_DEC1_MASK ((u32)0x1U << SYNCSTATUS2_FBC_DEC1_SHIFT)
#define SYNCSTATUS2_FBC_DEC0_MASK ((u32)0x1U << SYNCSTATUS2_FBC_DEC0_SHIFT)

/*
 * Vector ID Registers
 */
#define VECTORID_IVALID3_SHIFT (31U)	// Invalid Interrupt
#define VECTORID_IVALID2_SHIFT (30U)	// Invalid Interrupt
#define VECTORID_IVALID1_SHIFT (29U)	// Invalid Interrupt
#define VECTORID_IVALID0_SHIFT (28U)	// Invalid Interrupt
#define	VECTORID_INDEX3_SHIFT (21U)	// Interrupt Index
#define	VECTORID_INDEX2_SHIFT (14U)	// Interrupt Index
#define	VECTORID_INDEX1_SHIFT (7U)		// Interrupt Index
#define	VECTORID_INDEX0_SHIFT (0U)		// Interrupt Index

#define VECTORID_IVALID3_MASK ((u32)0x1U << VECTORID_IVALID3_SHIFT)
#define VECTORID_IVALID2_MASK ((u32)0x1U << VECTORID_IVALID2_SHIFT)
#define VECTORID_IVALID1_MASK ((u32)0x1U << VECTORID_IVALID1_SHIFT)
#define VECTORID_IVALID0_MASK ((u32)0x1U << VECTORID_IVALID0_SHIFT)
#define	VECTORID_INDEX3_MASK ((u32)0x7FU << VECTORID_INDEX3_SHIFT)
#define	VECTORID_INDEX2_MASK ((u32)0x7FU << VECTORID_INDEX2_SHIFT)
#define	VECTORID_INDEX1_MASK ((u32)0x7FU << VECTORID_INDEX1_SHIFT)
#define	VECTORID_INDEX0_MASK ((u32)0x7FU << VECTORID_INDEX0_SHIFT)

/*
 * Loop for Test Configuration Registers
 */
#define TEST_LOOP_LVIN7_SHIFT (14U)	// Loopback select for VIN7 (FOR DEBUG)
#define TEST_LOOP_LVIN6_SHIFT (12U)	// Loopback select for VIN6 (FOR DEBUG)
#define TEST_LOOP_LVIN5_SHIFT (10U)	// Loopback select for VIN5 (FOR DEBUG)
#define TEST_LOOP_LVIN4_SHIFT (8U)	// Loopback select for VIN4 (FOR DEBUG)
#define TEST_LOOP_LVIN3_SHIFT (6U) // Loopback select for VIN3 (FOR DEBUG)
#define TEST_LOOP_LVIN2_SHIFT (4U) // Loopback select for VIN2 (FOR DEBUG)
#define TEST_LOOP_LVIN1_SHIFT (2U) // Loopback select for VIN1 (FOR DEBUG)
#define TEST_LOOP_LVIN0_SHIFT (0U) // Loopback select for VIN0 (FOR DEBUG)

#define TEST_LOOP_LVIN7_MASK ((u32)0x3U << TEST_LOOP_LVIN7_SHIFT)
#define TEST_LOOP_LVIN6_MASK ((u32)0x3U << TEST_LOOP_LVIN6_SHIFT)
#define TEST_LOOP_LVIN5_MASK ((u32)0x3U << TEST_LOOP_LVIN5_SHIFT)
#define TEST_LOOP_LVIN4_MASK ((u32)0x3U << TEST_LOOP_LVIN4_SHIFT)
#define TEST_LOOP_LVIN3_MASK ((u32)0x3U << TEST_LOOP_LVIN3_SHIFT)
#define TEST_LOOP_LVIN2_MASK ((u32)0x3U << TEST_LOOP_LVIN2_SHIFT)
#define TEST_LOOP_LVIN1_MASK ((u32)0x3U << TEST_LOOP_LVIN1_SHIFT)
#define TEST_LOOP_LVIN0_MASK ((u32)0x3U << TEST_LOOP_LVIN0_SHIFT)

/*
 * Miscellaneous0 Configuration Registers
 */
#define CFG_MISC0_RD14_SHIFT (31U) // SHOULD BE 0
#define CFG_MISC0_RD12_SHIFT (30U) // SHOULD BE 0
#define CFG_MISC0_MIX60_SHIFT (28U) // SHOULD BE 0
#define CFG_MISC0_MIX50_SHIFT (26U) // WMIX5 Path Control for 0th Input Channel
#define CFG_MISC0_MIX40_SHIFT (24U) // SHOULD BE 0
#define CFG_MISC0_MIX30_SHIFT (22U) // WMIX3 Path Control for 0th Input Channel
#define CFG_MISC0_MIX23_SHIFT (21U) // WMIX2 Path Control for 3rd Input Channel
#define CFG_MISC0_MIX20_SHIFT (20U) // WMIX2 Path Control for 0th Input Channel
#define CFG_MISC0_MIX13_SHIFT (19U) // WMIX1 Path Control for 3rd Input Channel
#define CFG_MISC0_MIX10_SHIFT (18U) // WMIX1 Path Control for 0th Input Channel
#define CFG_MISC0_MIX03_SHIFT (17U) // WMIX0 Path Control for 3rd Input Channel
#define CFG_MISC0_MIX00_SHIFT (16U) // WMIX0 Path Control for 0th Input Channel
#define CFG_MISC0_L3_EVS_SEL_SHIFT (12U) // Select VS signal for Display Port 3
#define CFG_MISC0_L2_EVS_SEL_SHIFT (8U) // Select VS signal for Display Port 2
#define CFG_MISC0_L1_EVS_SEL_SHIFT (4U) // Select VS signal for Display Port 1
#define CFG_MISC0_L0_EVS_SEL_SHIFT (0U) // Select VS signal for Display Port 0

#define CFG_MISC0_RD14_MASK ((u32)0x1U <<  CFG_MISC0_RD14_SHIFT)
#define CFG_MISC0_RD12_MASK ((u32)0x1U <<  CFG_MISC0_RD12_SHIFT)
#define CFG_MISC0_MIX60_MASK ((u32)0x1U <<  CFG_MISC0_MIX60_SHIFT)
#define CFG_MISC0_MIX50_MASK ((u32)0x1U <<  CFG_MISC0_MIX50_SHIFT)
#define CFG_MISC0_MIX40_MASK ((u32)0x1U <<  CFG_MISC0_MIX40_SHIFT)
#define CFG_MISC0_MIX30_MASK ((u32)0x1U <<  CFG_MISC0_MIX30_SHIFT)
#define CFG_MISC0_MIX23_MASK ((u32)0x1U <<  CFG_MISC0_MIX23_SHIFT)
#define CFG_MISC0_MIX20_MASK ((u32)0x1U <<  CFG_MISC0_MIX20_SHIFT)
#define CFG_MISC0_MIX13_MASK ((u32)0x1U <<  CFG_MISC0_MIX13_SHIFT)
#define CFG_MISC0_MIX10_MASK ((u32)0x1U <<  CFG_MISC0_MIX10_SHIFT)
#define CFG_MISC0_MIX03_MASK ((u32)0x1U <<  CFG_MISC0_MIX03_SHIFT)
#define CFG_MISC0_MIX00_MASK ((u32)0x1U <<  CFG_MISC0_MIX00_SHIFT)
#define CFG_MISC0_L3_EVS_SEL_MASK ((u32)0xFU <<  CFG_MISC0_L3_EVS_SEL_SHIFT)
#define CFG_MISC0_L2_EVS_SEL_MASK ((u32)0xFU <<  CFG_MISC0_L2_EVS_SEL_SHIFT)
#define CFG_MISC0_L1_EVS_SEL_MASK ((u32)0xFU <<  CFG_MISC0_L1_EVS_SEL_SHIFT)
#define CFG_MISC0_L0_EVS_SEL_MASK ((u32)0xFU <<  CFG_MISC0_L0_EVS_SEL_SHIFT)

/*
 * Map Conv Path Configuration Register
 */
#define CFG_PATH_MC_MC1_SEL_SHIFT (16U)
#define CFG_PATH_MC_RD17_SHIFT (6U)
#define CFG_PATH_MC_RD16_SHIFT (5U)
#define CFG_PATH_MC_RD15_SHIFT (4U)
#define CFG_PATH_MC_RD13_SHIFT (3U)
#define CFG_PATH_MC_RD11_SHIFT (2U)
#define CFG_PATH_MC_RD07_SHIFT (1U)
#define CFG_PATH_MC_RD03_SHIFT (0U)

#define CFG_PATH_MC_MC1_SEL_MASK ((u32)0x7U << CFG_PATH_MC_MC1_SEL_SHIFT)
#define CFG_PATH_MC_RD17_MASK ((u32)0x1U << CFG_PATH_MC_RD17_SHIFT)
#define CFG_PATH_MC_RD16_MASK ((u32)0x1U << CFG_PATH_MC_RD16_SHIFT)
#define CFG_PATH_MC_RD15_MASK ((u32)0x1U << CFG_PATH_MC_RD15_SHIFT)
#define CFG_PATH_MC_RD13_MASK ((u32)0x1U << CFG_PATH_MC_RD13_SHIFT)
#define CFG_PATH_MC_RD11_MASK ((u32)0x1U << CFG_PATH_MC_RD11_SHIFT)
#define CFG_PATH_MC_RD07_MASK ((u32)0x1U << CFG_PATH_MC_RD07_SHIFT)
#define CFG_PATH_MC_RD03_MASK ((u32)0x1U << CFG_PATH_MC_RD03_SHIFT)

/* Scaler / VIQE / DEINTLS / FDLY register fileds are all the same */
#define CFG_PATH_EN_SHIFT (31U)	// PATH Enable
#define CFG_PATH_ERR_SHIFT (18U)	// Device Error
#define CFG_PATH_STS_SHIFT (16U)	// Path Status
#define CFG_PATH_SEL_SHIFT (0U)	// Path Selection

#define CFG_PATH_EN_MASK ((u32)0x1U << CFG_PATH_EN_SHIFT)
#define CFG_PATH_ERR_MASK ((u32)0x1U << CFG_PATH_ERR_SHIFT)
#define CFG_PATH_STS_MASK ((u32)0x3U << CFG_PATH_STS_SHIFT)
#define CFG_PATH_SEL_MASK ((u32)0xFFU << CFG_PATH_SEL_SHIFT)

/*
 * Miscellaneous1 Configuration Registers
 */
#define CFG_MISC1_LCD3_SEL_SHIFT (30U)	// LCD3 PATH select
#define CFG_MISC1_LCD2_SEL_SHIFT (28U)	// LCD2 PATH select
#define CFG_MISC1_LCD1_SEL_SHIFT (26U)	// LCD1 PATH select
#define CFG_MISC1_LCD0_SEL_SHIFT (24U)	// LCD0 PATH select
#define CFG_MISC1_S_REQ_SHIFT (23U)	// Disable STOP Request
#define CFG_MISC1_AXIRD_M1_TR_SHIFT (14U)	// For Debug
#define CFG_MISC1_AXIRD_M0_TR_SHIFT (12U)	// For Debug
#define CFG_MISC1_AXIRD_SHIFT (8U)	// For Debug
#define CFG_MISC1_AXIWD_SHIFT (0U)	// For Debug

#define CFG_MISC1_LCD3_SEL_MASK ((u32)0x3U << CFG_MISC1_LCD3_SEL_SHIFT)
#define CFG_MISC1_LCD2_SEL_MASK ((u32)0x3U << CFG_MISC1_LCD2_SEL_SHIFT)
#define CFG_MISC1_LCD1_SEL_MASK ((u32)0x3U << CFG_MISC1_LCD1_SEL_SHIFT)
#define CFG_MISC1_LCD0_SEL_MASK ((u32)0x3U << CFG_MISC1_LCD0_SEL_SHIFT)
#define CFG_MISC1_S_REQ_MASK ((u32)0x1U << CFG_MISC1_S_REQ_SHIFT)
#define CFG_MISC1_AXIRD_M1_TR_MASK ((u32)0x3U << CFG_MISC1_AXIRD_M1_TR_SHIFT)
#define CFG_MISC1_AXIRD_M0_TR_MASK ((u32)0x3U << CFG_MISC1_AXIRD_M0_TR_SHIFT)
#define CFG_MISC1_AXIRD_MASK ((u32)0x1U << CFG_MISC1_AXIRD_SHIFT)
#define CFG_MISC1_AXIWD_MASK ((u32)0x1U << CFG_MISC1_AXIWD_SHIFT)

/*
 * AFBC_DEC Configuration Register
 */
#define CFG_FBC_DEC_SEL_AXSM_SEL_SHIFT (12U) // PVRIC_FBDC_AXSM Select
#define CFG_FBC_DEC_SEL_AD_PATH_SEL01_SHIFT (5U) // RDMA num to use PVRIC_FBDC01
#define CFG_FBC_DEC_SEL_AD_PATH_SEL00_SHIFT (0U) // RDMA num to use PVRIC_FBDC00

#define CFG_FBC_DEC_SEL_AXSM_SEL_MASK \
	((u32)0xFFFFFU << CFG_FBC_DEC_SEL_AXSM_SEL_SHIFT)
#define CFG_FBC_DEC_SEL_AD_PATH_SEL01_MASK \
	((u32)0x1FU << CFG_FBC_DEC_SEL_AD_PATH_SEL01_SHIFT)
#define CFG_FBC_DEC_SEL_AD_PATH_SEL00_MASK \
	((u32)0x1FU << CFG_FBC_DEC_SEL_AD_PATH_SEL00_SHIFT)

/*
 * VIN Configuration Registers
 */
#define CFG_VIN_SEL_P3_EN_SHIFT (31U)	// VIN3 Path Enable
#define CFG_VIN_SEL_VIN3_STAT_SHIFT (28U)	// VIN3 Path Status
#define CFG_VIN_SEL_VIN3_PATH_SHIFT (24U)	// VIN3 Path Select
#define CFG_VIN_SEL_P2_EN_SHIFT (23U)	// VIN2 Path Enable
#define CFG_VIN_SEL_VIN2_STAT_SHIFT (20U)	// VIN2 Path Status
#define CFG_VIN_SEL_VIN2_PATH_SHIFT (16U)	// VIN2 Path Select
#define CFG_VIN_SEL_P1_EN_SHIFT (15U)	// VIN1 Path Enable
#define CFG_VIN_SEL_VIN1_STAT_SHIFT (12U)	// VIN1 Path Status
#define CFG_VIN_SEL_VIN1_PATH_SHIFT (8U)	// VIN1 Path Select
#define CFG_VIN_SEL_P0_EN_SHIFT (7U)	// VIN0 Path Enable
#define CFG_VIN_SEL_VIN0_STAT_SHIFT (4U)	// VIN0 Path Status
#define CFG_VIN_SEL_VIN0_PATH_SHIFT (0U)	// VIN0 Path Select

#define CFG_VIN_SEL_P3_EN_MASK ((u32)0x1U << CFG_VIN_SEL_P3_EN_SHIFT)
#define CFG_VIN_SEL_VIN3_STAT_MASK ((u32)0x7U << CFG_VIN_SEL_VIN3_STAT_SHIFT)
#define CFG_VIN_SEL_VIN3_PATH_MASK ((u32)0x3U << CFG_VIN_SEL_VIN3_PATH_SHIFT)
#define CFG_VIN_SEL_P2_EN_MASK ((u32)0x1U << CFG_VIN_SEL_P2_EN_SHIFT)
#define CFG_VIN_SEL_VIN2_STAT_MASK ((u32)0x7U << CFG_VIN_SEL_VIN2_STAT_SHIFT)
#define CFG_VIN_SEL_VIN2_PATH_MASK ((u32)0x3U << CFG_VIN_SEL_VIN2_PATH_SHIFT)
#define CFG_VIN_SEL_P1_EN_MASK ((u32)0x1U << CFG_VIN_SEL_P1_EN_SHIFT)
#define CFG_VIN_SEL_VIN1_STAT_MASK ((u32)0x7U << CFG_VIN_SEL_VIN1_STAT_SHIFT)
#define CFG_VIN_SEL_VIN1_PATH_MASK ((u32)0x3U << CFG_VIN_SEL_VIN1_PATH_SHIFT)
#define CFG_VIN_SEL_P0_EN_MASK ((u32)0x1U << CFG_VIN_SEL_P0_EN_SHIFT)
#define CFG_VIN_SEL_VIN0_STAT_MASK ((u32)0x7U << CFG_VIN_SEL_VIN0_STAT_SHIFT)
#define CFG_VIN_SEL_VIN0_PATH_MASK ((u32)0x3U << CFG_VIN_SEL_VIN0_PATH_SHIFT)

/*
 * DEV Configuration Registers
 */
#define CFG_DEV_SEL_P3_EN_SHIFT (31U)	// DEV3 Path Enable
#define CFG_DEV_SEL_DEV3_STAT_SHIFT (28U)	// DEV3 Path Status
#define CFG_DEV_SEL_DEV3_PATH_SHIFT (24U)	// DEV2 Path Select
#define CFG_DEV_SEL_P2_EN_SHIFT (23U)	// DEV2 Path Enable
#define CFG_DEV_SEL_DEV2_STAT_SHIFT (20U)	// DEV2 Path Status
#define CFG_DEV_SEL_DEV2_PATH_SHIFT (16U)	// DEV2 Path Select
#define CFG_DEV_SEL_P1_EN_SHIFT (15U)	// DEV1 Path Enable
#define CFG_DEV_SEL_DEV1_STAT_SHIFT (12U)	// DEV1 Path Status
#define CFG_DEV_SEL_DEV1_PATH_SHIFT (8U)		// DEV1 Path Select
#define CFG_DEV_SEL_P0_EN_SHIFT (7U)		// DEV0 Path Enable
#define CFG_DEV_SEL_DEV0_STAT_SHIFT (4U)	// DEV0 Path Status
#define CFG_DEV_SEL_DEV0_PATH_SHIFT (0U)		// DEV0 Path Select

#define CFG_DEV_SEL_P3_EN_MASK ((u32)0x1U << CFG_DEV_SEL_P3_EN_SHIFT)
#define CFG_DEV_SEL_DEV3_STAT_MASK ((u32)0x7U << CFG_DEV_SEL_DEV3_STAT_SHIFT)
#define CFG_DEV_SEL_DEV3_PATH_MASK ((u32)0x3U << CFG_DEV_SEL_DEV3_PATH_SHIFT)
#define CFG_DEV_SEL_P2_EN_MASK ((u32)0x1U << CFG_DEV_SEL_P2_EN_SHIFT)
#define CFG_DEV_SEL_DEV2_STAT_MASK ((u32)0x7U << CFG_DEV_SEL_DEV2_STAT_SHIFT)
#define CFG_DEV_SEL_DEV2_PATH_MASK ((u32)0x3U << CFG_DEV_SEL_DEV2_PATH_SHIFT)
#define CFG_DEV_SEL_P1_EN_MASK ((u32)0x1U << CFG_DEV_SEL_P1_EN_SHIFT)
#define CFG_DEV_SEL_DEV1_STAT_MASK ((u32)0x7U << CFG_DEV_SEL_DEV1_STAT_SHIFT)
#define CFG_DEV_SEL_DEV1_PATH_MASK ((u32)0x3U << CFG_DEV_SEL_DEV1_PATH_SHIFT)
#define CFG_DEV_SEL_P0_EN_MASK ((u32)0x1U << CFG_DEV_SEL_P0_EN_SHIFT)
#define CFG_DEV_SEL_DEV0_STAT_MASK ((u32)0x7U << CFG_DEV_SEL_DEV0_STAT_SHIFT)
#define CFG_DEV_SEL_DEV0_PATH_MASK ((u32)0x3U << CFG_DEV_SEL_DEV0_PATH_SHIFT)

/*
 * ARID of DMA Registers
 */
#define ARID_ARID_SHIFT (0U)	// ARID of Master DMA

#define ARID_ARID_MASK ((u32)0x1FFFFFFFU << ARID_ARID_SHIFT)

/*
 * AWID of DMA Registers
 */
#define AWID_AWID_SHIFT (0U)	// AWID of Master DMA

#define AWID_AWID_MASK ((u32)0x7FFFFFFFU << AWID_AWID_SHIFT)

/*
 * Power Auto Power Down Registers
 * @Description: 0 - Normal, 1 - Auto PWDN
 */
#define PWR_AUTOPD_MC_SHIFT (15U) // Map Conv Auto Power Down Mode
#define PWR_AUTOPD_DEVMX_SHIFT (14U) // Mixer for DISP Auto Power Down Mode
#define PWR_AUTOPD_DEBLK_SHIFT (13U) // DEBLOCK Auto Power Down Mode
#define PWR_AUTOPD_VIN_SHIFT (12U) // VIDEOIN Auto Power Down Mode
#define PWR_AUTOPD_L2A_SHIFT (11U) // LCD2AHB Auto Power Down Mode
#define PWR_AUTOPD_CPUIF_SHIFT (10U) // CPU Interface Auto Power Down Mode
#define PWR_AUTOPD_FCDEC_SHIFT (9U) // Frame De-compressor Auto Power Down Mode
#define PWR_AUTOPD_FCENC_SHIFT (8U) // Frame Compressor Auto Power Down Mode
#define PWR_AUTOPD_FILT2D_SHIFT (7U) // FILT2D Auto Power Down Mode
#define PWR_AUTOPD_DEINTS_SHIFT (6U) // DEINTL_S Auto Power Down Mode
#define PWR_AUTOPD_VIQE_SHIFT (5U) // VIQE Auto Power Down Mode
#define PWR_AUTOPD_FDLY_SHIFT (4U) // Frame Delay Auto Power Down Mode
#define PWR_AUTOPD_WDMA_SHIFT (3U) // WDMA Auto Power Down Mode
#define PWR_AUTOPD_MIX_SHIFT (2U) // WMIX Auto Power Down Mode
#define PWR_AUTOPD_SC_SHIFT (1U) // Scaler Auto Power Down Mode
#define PWR_AUTOPD_RDMA_SHIFT (0U) // RDMA Auto Power Down Mode

#define PWR_AUTOPD_MC_MASK ((u32)0x1U << PWR_AUTOPD_MC_SHIFT)
#define PWR_AUTOPD_DEVMX_MASK ((u32)0x1U << PWR_AUTOPD_DEVMX_SHIFT)
#define PWR_AUTOPD_DEBLK_MASK ((u32)0x1U << PWR_AUTOPD_DEBLK_SHIFT)
#define PWR_AUTOPD_VIN_MASK ((u32)0x1U << PWR_AUTOPD_VIN_SHIFT)
#define PWR_AUTOPD_L2A_MASK ((u32)0x1U << PWR_AUTOPD_L2A_SHIFT)
#define PWR_AUTOPD_CPUIF_MASK ((u32)0x1U << PWR_AUTOPD_CPUIF_SHIFT)
#define PWR_AUTOPD_FCDEC_MASK ((u32)0x1U << PWR_AUTOPD_FCDEC_SHIFT)
#define PWR_AUTOPD_FCENC_MASK ((u32)0x1U << PWR_AUTOPD_FCENC_SHIFT)
#define PWR_AUTOPD_FILT2D_MASK ((u32)0x1U << PWR_AUTOPD_FILT2D_SHIFT)
#define PWR_AUTOPD_DEINTS_MASK ((u32)0x1U << PWR_AUTOPD_DEINTS_SHIFT)
#define PWR_AUTOPD_VIQE_MASK ((u32)0x1U << PWR_AUTOPD_VIQE_SHIFT)
#define PWR_AUTOPD_FDLY_MASK ((u32)0x1U << PWR_AUTOPD_FDLY_SHIFT)
#define PWR_AUTOPD_WDMA_MASK ((u32)0x1U << PWR_AUTOPD_WDMA_SHIFT)
#define PWR_AUTOPD_MIX_MASK ((u32)0x1U << PWR_AUTOPD_MIX_SHIFT)
#define PWR_AUTOPD_SC_MASK ((u32)0x1U << PWR_AUTOPD_SC_SHIFT)
#define PWR_AUTOPD_RDMA_MASK ((u32)0x1U << PWR_AUTOPD_RDMA_SHIFT)

/*
 * Power Clock Control Registers
 * @Description: 0 - Disable, 1 - Enable
 */
#define PWR_CLKCTRL_PFDATA_SHIFT (16U)	// Clock Profile Data
#define PWR_CLKCTRL_PFDONE_SHIFT (15U)	// Clock Profile Done
#define PWR_CLKCTRL_PFEN_SHIFT (9U)	// Clock Profile Enable
#define PWR_CLKCTRL_EN_SHIFT (8U)	// Clock Control (Clock Gating) Enable
#define PWR_CLKCTRL_MIN_SHIFT (0U)	// Clock Disable Minimum size

#define PWR_CLKCTRL_PFDATA_MASK ((u32)0xFFFFU << PWR_CLKCTRL_PFDATA_SHIFT)
#define PWR_CLKCTRL_PFDONE_MASK ((u32)0x1U << PWR_CLKCTRL_PFDONE_SHIFT)
#define PWR_CLKCTRL_PFEN_MASK ((u32)0x1U << PWR_CLKCTRL_PFEN_SHIFT)
#define PWR_CLKCTRL_EN_MASK ((u32)0x1U << PWR_CLKCTRL_EN_SHIFT)
#define PWR_CLKCTRL_MIN_MASK ((u32)0xFU << PWR_CLKCTRL_MIN_SHIFT)

/*
 * Power Block Power Down 0 Registers
 * @Description: 0 - Normal, 1 - PWDN
 */
#define PWR_BLK_PWDN0_SC_SHIFT (28U)	// Scaler Block Power Down
#define PWR_BLK_PWDN0_VIN_SHIFT (24U)	// VIDEOIN Block Power Down
#define PWR_BLK_PWDN0_RDMA_SHIFT (0U)	// RDMA Power Down

#define PWR_BLK_PWDN0_SC_MASK ((u32)0xFU << PWR_BLK_PWDN0_SC_SHIFT)
#define PWR_BLK_PWDN0_VIN_MASK ((u32)0xFU << PWR_BLK_PWDN0_VIN_SHIFT)
#define PWR_BLK_PWDN0_RDMA_MASK ((u32)0x3FFFFU << PWR_BLK_PWDN0_RDMA_SHIFT)

/*
 * Power Block Power Down 1 Registers
 * @Description: 0 - Normal, 1 - PWDN
 */
#define PWR_BLK_PWDN1_FIFO_SHIFT (31U)	// Frame FIFO Power Down
#define PWR_BLK_PWDN1_DEV3_SHIFT (30U)
#define PWR_BLK_PWDN1_FDLY_SHIFT (28U)	// Frame Delay Power Down
#define PWR_BLK_PWDN1_MC_SHIFT (26U)	// Map_Conv Power Down
#define PWR_BLK_PWDN1_DEB_SHIFT (25U)	// DEBLOCK Power Down
#define PWR_BLK_PWDN1_F2D_SHIFT (24U)	// FILT2D Power Down
#define PWR_BLK_PWDN1_DEV_SHIFT (20U)	// Display Device Power Down
#define PWR_BLK_PWDN1_VIQE1_SHIFT (18U)	// VIQE1 Power Down
#define PWR_BLK_PWDN1_DINTS_SHIFT (17U)	// DEINTL_S Power Down
#define PWR_BLK_PWDN1_VIQE0_SHIFT (16U)	// VIQE0 Power Down
#define PWR_BLK_PWDN1_WMIX_SHIFT (9U)	// WMIX Power Down
#define PWR_BLK_PWDN1_WDMA_SHIFT (0U)	// WDMA Power Down

#define PWR_BLK_PWDN1_FIFO_MASK ((u32)0x1U << PWR_BLK_PWDN1_FIFO_SHIFT)
#define PWR_BLK_PWDN1_DEV3_MASK ((u32)0x1U << PWR_BLK_PWDN1_DEV3_SHIFT)
#define PWR_BLK_PWDN1_FDLY_MASK ((u32)0x3U << PWR_BLK_PWDN1_FDLY_SHIFT)
#define PWR_BLK_PWDN1_MC_MASK ((u32)0x3U << PWR_BLK_PWDN1_MC_SHIFT)
#define PWR_BLK_PWDN1_DEB_MASK ((u32)0x1U << PWR_BLK_PWDN1_DEB_SHIFT)
#define PWR_BLK_PWDN1_F2D_MASK ((u32)0x1U << PWR_BLK_PWDN1_F2D_SHIFT)
#define PWR_BLK_PWDN1_DEV_MASK ((u32)0x7U << PWR_BLK_PWDN1_DEV_SHIFT)
#define PWR_BLK_PWDN1_VIQE1_MASK ((u32)0x1U << PWR_BLK_PWDN1_VIQE1_SHIFT)
#define PWR_BLK_PWDN1_DINTS_MASK ((u32)0x1U << PWR_BLK_PWDN1_DINTS_SHIFT)
#define PWR_BLK_PWDN1_VIQE0_MASK ((u32)0x1U << PWR_BLK_PWDN1_VIQE0_SHIFT)
#define PWR_BLK_PWDN1_WMIX_MASK ((u32)0x7FU << PWR_BLK_PWDN1_WMIX_SHIFT)
#define PWR_BLK_PWDN1_WDMA_MASK ((u32)0x1FFU << PWR_BLK_PWDN1_WDMA_SHIFT)

/*
 * Power Block SWRESET 0 Registers
 * @Description: 0 - Normal, 1 - Reset
 */
#define PWR_BLK_SWR0_SC_SHIFT (28U)	// Scaler Block Reset
#define PWR_BLK_SWR0_VIN_SHIFT (24U)	// VIDEOIN Block Reset
#define PWR_BLK_SWR0_RDMA_SHIFT (0U)	// RDMA Reset

#define PWR_BLK_SWR0_SC_MASK ((u32)0xFU << PWR_BLK_SWR0_SC_SHIFT)
#define PWR_BLK_SWR0_VIN_MASK ((u32)0xFU << PWR_BLK_SWR0_VIN_SHIFT)
#define PWR_BLK_SWR0_RDMA_MASK ((u32)0x3FFFFU  << PWR_BLK_SWR0_RDMA_SHIFT)

/*
 * Power Block SWRESET 1 Registers
 * @Description: 0 - Normal, 1 - Reset
 */
#define PWR_BLK_SWR1_FIFO_SHIFT (31U)	// Frame FIFO Reset
#define PWR_BLK_SWR1_MC_SHIFT (26U)	// Map_Conv Reset
#define PWR_BLK_SWR1_DEB_SHIFT (25U)	// DEBLOCK Reset
#define PWR_BLK_SWR1_F2D_SHIFT (24U)	// FILT2D Reset
#define PWR_BLK_SWR1_DEV_SHIFT (20U)	// Display Device Reset
#define PWR_BLK_SWR1_VIQE1_SHIFT (18U)	// VIQE1 Reset
#define PWR_BLK_SWR1_DINTS_SHIFT (17U)	// DEINTL_S Reset
#define PWR_BLK_SWR1_VIQE0_SHIFT (16U)	// VIQE0 Reset
#define PWR_BLK_SWR1_WMIX_SHIFT (9U)	// WMIX Reset
#define PWR_BLK_SWR1_WDMA_SHIFT (0U)	// WDMA Reset

#define PWR_BLK_SWR1_FIFO_MASK ((u32)0x1U << PWR_BLK_SWR1_FIFO_SHIFT)
#define PWR_BLK_SWR1_MC_MASK ((u32)0x3U << PWR_BLK_SWR1_MC_SHIFT)
#define PWR_BLK_SWR1_DEB_MASK ((u32)0x1U << PWR_BLK_SWR1_DEB_SHIFT)
#define PWR_BLK_SWR1_F2D_MASK ((u32)0x1U << PWR_BLK_SWR1_F2D_SHIFT)
#define PWR_BLK_SWR1_DEV_MASK ((u32)0x7U << PWR_BLK_SWR1_DEV_SHIFT)
#define PWR_BLK_SWR1_VIQE1_MASK ((u32)0x1U << PWR_BLK_SWR1_VIQE1_SHIFT)
#define PWR_BLK_SWR1_DINTS_MASK ((u32)0x1U << PWR_BLK_SWR1_DINTS_SHIFT)
#define PWR_BLK_SWR1_VIQE0_MASK ((u32)0x1U << PWR_BLK_SWR1_VIQE0_SHIFT)
#define PWR_BLK_SWR1_WMIX_MASK ((u32)0x7FU << PWR_BLK_SWR1_WMIX_SHIFT)
#define PWR_BLK_SWR1_WDMA_MASK ((u32)0x1FFU << PWR_BLK_SWR1_WDMA_SHIFT)

/*
 * WMIX PATH SWRESET Register
 * @Description: 0 - Normal, 1 - Mixing PATH reset
 */
#define WMIX_PATH_SWR_PF_SHIFT    (14U) // PVRIC_FBDC Reset
#define WMIX_PATH_SWR_MIX60_SHIFT (12U) // MIX60
#define WMIX_PATH_SWR_MIX50_SHIFT (10U) // MIX50
#define WMIX_PATH_SWR_MIX40_SHIFT (8U) // MIX40
#define WMIX_PATH_SWR_MIX30_SHIFT (6U) // MIX30
#define WMIX_PATH_SWR_MIX23_SHIFT (5U) // MIX23
#define WMIX_PATH_SWR_MIX20_SHIFT (4U) // MIX20
#define WMIX_PATH_SWR_MIX13_SHIFT (3U) // MIX13
#define WMIX_PATH_SWR_MIX10_SHIFT (2U) // MIX10
#define WMIX_PATH_SWR_MIX03_SHIFT (1U) // MIX03
#define WMIX_PATH_SWR_MIX00_SHIFT (0U) // MIX00

#define WMIX_PATH_SWR_PF_MASK    ((u32)0x3U << WMIX_PATH_SWR_PF_SHIFT)
#define WMIX_PATH_SWR_MIX60_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX60_SHIFT)
#define WMIX_PATH_SWR_MIX50_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX50_SHIFT)
#define WMIX_PATH_SWR_MIX40_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX40_SHIFT)
#define WMIX_PATH_SWR_MIX30_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX30_SHIFT)
#define WMIX_PATH_SWR_MIX23_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX23_SHIFT)
#define WMIX_PATH_SWR_MIX20_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX20_SHIFT)
#define WMIX_PATH_SWR_MIX13_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX13_SHIFT)
#define WMIX_PATH_SWR_MIX10_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX10_SHIFT)
#define WMIX_PATH_SWR_MIX03_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX03_SHIFT)
#define WMIX_PATH_SWR_MIX00_MASK ((u32)0x1U << WMIX_PATH_SWR_MIX00_SHIFT)

/*
 * Power Block Power Down 2 Registers
 * @Description: 0 - Normal, 1 - PWD
 */
#define PWR_BLK_PWDN2_SC_SHIFT (16U)	// Scaler Block Power Down

#define PWR_BLK_PWDN2_SC_MASK ((u32)0xFFU << PWR_BLK_PWDN2_SC_SHIFT)

/*
 * Power Block SWRESET 3 Registers
 * @Description: 0 - Normal, 1 - Reset
 */
#define PWR_BLK_SWR3_SC_SHIFT (16U) // Scaler Reset

#define PWR_BLK_SWR3_SC_MASK ((u32)0xFFU << PWR_BLK_SWR3_SC_SHIFT)

/*
 * Power Block Power Down 3 Registers
 * @Description: 0 - Normal, 1 - PWDN
 */
#define PWR_BLK_PWDN3_VIN_SHIFT (8U)	// VIN Block Power Down
#define PWR_BLK_PWDN3_WD_SHIFT (0U)	// WDMA Power Down

#define PWR_BLK_PWDN3_VIN_MASK ((u32)0xFU << PWR_BLK_PWDN3_VIN_SHIFT)
#define PWR_BLK_PWDN3_WD_MASK ((u32)0x1FU << PWR_BLK_PWDN3_WD_SHIFT)

/*
 * Power Block SWRESET 4 Registers
 * @Description: 0 - Normal, 1 - Reset
 */
#define PWR_BLK_SWR4_VIN_SHIFT (8U)	// VIN Reset
#define PWR_BLK_SWR4_WD_SHIFT (0U)	// WDMA Reset

#define PWR_BLK_SWR4_VIN_MASK ((u32)0xFU << PWR_BLK_SWR4_VIN_SHIFT)
#define PWR_BLK_SWR4_WD_MASK ((u32)0x1FU << PWR_BLK_SWR4_WD_SHIFT)

/*
 * Interrupt Select 0 Registers
 * @Description: 0 - Async Interrupt, 1 - Sync Interrupt
 */
#define IRQSELECT0_DEV3_SHIFT (30U)	// Display Device3 Sync Interrupt Select
#define IRQSELECT0_FIFO1_SHIFT (29U)	// ASync. FIFO1 Sync Interrupt Select
#define IRQSELECT0_FIFO0_SHIFT (28U)	// ASync. FIFO0 Sync Interrupt Select
#define IRQSELECT0_MC1_SHIFT (23U)	// Map Conv1 Sync Interrupt Select
#define IRQSELECT0_MC0_SHIFT (22U)	// Map Conv0 Sync Interrupt Select
#define IRQSELECT0_RD17_SHIFT (21U)	// RDMA17 Sync Interrupt Select
#define IRQSELECT0_RD16_SHIFT (20U)	// RDMA16 Sync Interrupt Select
#define IRQSELECT0_RD15_SHIFT (19U)	// RDMA15 Sync Interrupt Select
#define IRQSELECT0_RD14_SHIFT (18U)	// RDMA14 Sync Interrupt Select
#define IRQSELECT0_RD13_SHIFT (17U)	// RDMA13 Sync Interrupt Select
#define IRQSELECT0_RD12_SHIFT (16U)	// RDMA12 Sync Interrupt Select
#define IRQSELECT0_RD11_SHIFT (15U)	// RDMA11 Sync Interrupt Select
#define IRQSELECT0_RD10_SHIFT (14U)	// RDMA10 Sync Interrupt Select
#define IRQSELECT0_RD9_SHIFT (13U)	// RDMA09 Sync Interrupt Select
#define IRQSELECT0_RD8_SHIFT (12U)	// RDMA08 Sync Interrupt Select
#define IRQSELECT0_RD7_SHIFT (11U)	// RDMA07 Sync Interrupt Select
#define IRQSELECT0_RD6_SHIFT (10U)	// RDMA06 Sync Interrupt Select
#define IRQSELECT0_RD5_SHIFT (9U)	// RDMA05 Sync Interrupt Select
#define IRQSELECT0_RD4_SHIFT (8U)	// RDMA04 Sync Interrupt Select
#define IRQSELECT0_RD3_SHIFT (7U)	// RDMA03 Sync Interrupt Select
#define IRQSELECT0_RD2_SHIFT (6U)	// RDMA02 Sync Interrupt Select
#define IRQSELECT0_RD1_SHIFT (5U)	// RDMA01 Sync Interrupt Select
#define IRQSELECT0_RD0_SHIFT (4U)	// RDMA00 Sync Interrupt Select
#define IRQSELECT0_TIMER_SHIFT (3U) // TIMER Sync Interrupt Select
#define IRQSELECT0_DEV2_SHIFT (2U) // Display Device 2 Sync Interrupt Select
#define IRQSELECT0_DEV1_SHIFT (1U) // Display Device 1 Sync Interrupt Select
#define IRQSELECT0_DEV0_SHIFT (0U) // Display Device 0 Sync Interrupt Select

#define IRQSELECT0_DEV3_MASK ((u32)0x1U << IRQSELECT0_DEV3_SHIFT)
#define IRQSELECT0_FIFO1_MASK ((u32)0x1U << IRQSELECT0_FIFO1_SHIFT)
#define IRQSELECT0_FIFO0_MASK ((u32)0x1U << IRQSELECT0_FIFO0_SHIFT)
#define IRQSELECT0_MC1_MASK ((u32)0x1U <<	IRQSELECT0_MC1_SHIFT)
#define IRQSELECT0_MC0_MASK ((u32)0x1U <<	IRQSELECT0_MC0_SHIFT)
#define IRQSELECT0_RD17_MASK ((u32)0x1U << IRQSELECT0_RD17_SHIFT)
#define IRQSELECT0_RD16_MASK ((u32)0x1U << IRQSELECT0_RD16_SHIFT)
#define IRQSELECT0_RD15_MASK ((u32)0x1U << IRQSELECT0_RD15_SHIFT)
#define IRQSELECT0_RD14_MASK ((u32)0x1U << IRQSELECT0_RD14_SHIFT)
#define IRQSELECT0_RD13_MASK ((u32)0x1U << IRQSELECT0_RD13_SHIFT)
#define IRQSELECT0_RD12_MASK ((u32)0x1U << IRQSELECT0_RD12_SHIFT)
#define IRQSELECT0_RD11_MASK ((u32)0x1U << IRQSELECT0_RD11_SHIFT)
#define IRQSELECT0_RD10_MASK ((u32)0x1U << IRQSELECT0_RD10_SHIFT)
#define IRQSELECT0_RD9_MASK ((u32)0x1U <<	IRQSELECT0_RD9_SHIFT)
#define IRQSELECT0_RD8_MASK ((u32)0x1U <<	IRQSELECT0_RD8_SHIFT)
#define IRQSELECT0_RD7_MASK ((u32)0x1U <<	IRQSELECT0_RD7_SHIFT)
#define IRQSELECT0_RD6_MASK ((u32)0x1U <<	IRQSELECT0_RD6_SHIFT)
#define IRQSELECT0_RD5_MASK ((u32)0x1U <<	IRQSELECT0_RD5_SHIFT)
#define IRQSELECT0_RD4_MASK ((u32)0x1U <<	IRQSELECT0_RD4_SHIFT)
#define IRQSELECT0_RD3_MASK ((u32)0x1U <<	IRQSELECT0_RD3_SHIFT)
#define IRQSELECT0_RD2_MASK ((u32)0x1U <<	IRQSELECT0_RD2_SHIFT)
#define IRQSELECT0_RD1_MASK ((u32)0x1U <<	IRQSELECT0_RD1_SHIFT)
#define IRQSELECT0_RD0_MASK ((u32)0x1U <<	IRQSELECT0_RD0_SHIFT)
#define IRQSELECT0_TIMER_MASK ((u32)0x1U << IRQSELECT0_TIMER_SHIFT)
#define IRQSELECT0_DEV2_MASK ((u32)0x1U << IRQSELECT0_DEV2_SHIFT)
#define IRQSELECT0_DEV1_MASK ((u32)0x1U << IRQSELECT0_DEV1_SHIFT)
#define IRQSELECT0_DEV0_MASK ((u32)0x1U << IRQSELECT0_DEV0_SHIFT)

/*
 * Interrupt Select 1 Registers
 * @Description: 0 - Normal, 1 - Interrupt
 */
#define IRQSELECT1_SC3_SHIFT (31U)	// Scaler3 Sync Interrupt Select
#define IRQSELECT1_SC2_SHIFT (30U)	// Scaler2 Sync Interrupt Select
#define IRQSELECT1_SC1_SHIFT (29U)	// Scaler1 Sync Interrupt Select
#define IRQSELECT1_SC0_SHIFT (28U)	// Scaler0 Sync Interrupt Select
#define IRQSELECT1_VIQE0_SHIFT (27U)	// VIQE0 Sync Interrupt Select
#define IRQSELECT1_VIN3_SHIFT (26U)	// VIN3 Sync Interrupt Select
#define IRQSELECT1_VIN2_SHIFT (25U)	// VIN2 Sync Interrupt Select
#define IRQSELECT1_VIN1_SHIFT (24U)	// VIN1 Sync Interrupt Select
#define IRQSELECT1_VIN0_SHIFT (23U)	// VIN0 Sync Interrupt Select
#define IRQSELECT1_WMIX6_SHIFT (22U)	// WMIX6 Sync Interrupt Select
#define IRQSELECT1_WMIX5_SHIFT (21U)	// WMIX5 Sync Interrupt Select
#define IRQSELECT1_WMIX4_SHIFT (20U)	// WMIX4 Sync Interrupt Select
#define IRQSELECT1_WMIX3_SHIFT (19U)	// WMIX3 Sync Interrupt Select
#define IRQSELECT1_WMIX2_SHIFT (18U)	// WMIX2 Sync Interrupt Select
#define IRQSELECT1_WMIX1_SHIFT (17U)	// WMIX1 Sync Interrupt Select
#define IRQSELECT1_WMIX0_SHIFT (16U)	// WMIX0 Sync Interrupt Select
#define IRQSELECT1_VIQE1_SHIFT (13U)	// VIQE1 Sync Interrupt Select
#define IRQSELECT1_SC5_SHIFT (12U)	// Scaler5 Sync Interrupt Select
#define IRQSELECT1_SC4_SHIFT (11U)	// Scaler4 Sync Interrupt Select
#define IRQSELECT1_WD8_SHIFT (8U)	// WDMA08 Sync Interrupt Select
#define IRQSELECT1_WD7_SHIFT (7U)	// WDMA07 Sync Interrupt Select
#define IRQSELECT1_WD6_SHIFT (6U)	// WDMA06 Sync Interrupt Select
#define IRQSELECT1_WD5_SHIFT (5U)	// WDMA05 Sync Interrupt Select
#define IRQSELECT1_WD4_SHIFT (4U)	// WDMA04 Sync Interrupt Select
#define IRQSELECT1_WD3_SHIFT (3U)	// WDMA03 Sync Interrupt Select
#define IRQSELECT1_WD2_SHIFT (2U)	// WDMA02 Sync Interrupt Select
#define IRQSELECT1_WD1_SHIFT (1U)	// WDMA01 Sync Interrupt Select
#define IRQSELECT1_WD0_SHIFT (0U)	// WDMA00 Sync Interrupt Select

#define IRQSELECT1_SC3_MASK ((u32)0x1U << IRQSELECT1_SC3_SHIFT)
#define IRQSELECT1_SC2_MASK ((u32)0x1U << IRQSELECT1_SC2_SHIFT)
#define IRQSELECT1_SC1_MASK ((u32)0x1U << IRQSELECT1_SC1_SHIFT)
#define IRQSELECT1_SC0_MASK ((u32)0x1U << IRQSELECT1_SC0_SHIFT)
#define IRQSELECT1_VIQE0_MASK ((u32)0x1U << IRQSELECT1_VIQE0_SHIFT)
#define IRQSELECT1_VIN3_MASK ((u32)0x1U << IRQSELECT1_VIN3_SHIFT)
#define IRQSELECT1_VIN2_MASK ((u32)0x1U << IRQSELECT1_VIN2_SHIFT)
#define IRQSELECT1_VIN1_MASK ((u32)0x1U << IRQSELECT1_VIN1_SHIFT)
#define IRQSELECT1_VIN0_MASK ((u32)0x1U << IRQSELECT1_VIN0_SHIFT)
#define IRQSELECT1_WMIX6_MASK ((u32)0x1U << IRQSELECT1_WMIX6_SHIFT)
#define IRQSELECT1_WMIX5_MASK ((u32)0x1U << IRQSELECT1_WMIX5_SHIFT)
#define IRQSELECT1_WMIX4_MASK ((u32)0x1U << IRQSELECT1_WMIX4_SHIFT)
#define IRQSELECT1_WMIX3_MASK ((u32)0x1U << IRQSELECT1_WMIX3_SHIFT)
#define IRQSELECT1_WMIX2_MASK ((u32)0x1U << IRQSELECT1_WMIX2_SHIFT)
#define IRQSELECT1_WMIX1_MASK ((u32)0x1U << IRQSELECT1_WMIX1_SHIFT)
#define IRQSELECT1_WMIX0_MASK ((u32)0x1U << IRQSELECT1_WMIX0_SHIFT)
#define IRQSELECT1_VIQE1_MASK ((u32)0x1U << IRQSELECT1_VIQE1_SHIFT)
#define IRQSELECT1_SC5_MASK ((u32)0x1U << IRQSELECT1_SC5_SHIFT)
#define IRQSELECT1_SC4_MASK ((u32)0x1U << IRQSELECT1_SC4_SHIFT)
#define IRQSELECT1_WD8_MASK ((u32)0x1U << IRQSELECT1_WD8_SHIFT)
#define IRQSELECT1_WD7_MASK ((u32)0x1U << IRQSELECT1_WD7_SHIFT)
#define IRQSELECT1_WD6_MASK ((u32)0x1U << IRQSELECT1_WD6_SHIFT)
#define IRQSELECT1_WD5_MASK ((u32)0x1U << IRQSELECT1_WD5_SHIFT)
#define IRQSELECT1_WD4_MASK ((u32)0x1U << IRQSELECT1_WD4_SHIFT)
#define IRQSELECT1_WD3_MASK ((u32)0x1U << IRQSELECT1_WD3_SHIFT)
#define IRQSELECT1_WD2_MASK ((u32)0x1U << IRQSELECT1_WD2_SHIFT)
#define IRQSELECT1_WD1_MASK ((u32)0x1U << IRQSELECT1_WD1_SHIFT)
#define IRQSELECT1_WD0_MASK ((u32)0x1U << IRQSELECT1_WD0_SHIFT)

/*
 * Interrupt Select k_2 Register
 */
#define IRQSELECT2_WD13_SHIFT (18U)	// WDMA13 Interrupt Select
#define IRQSELECT2_SC7_SHIFT (17U)	// Scaler7 Interrupt Select
#define IRQSELECT2_SC6_SHIFT (16U)	// Scaler6 Interrupt Select
#define IRQSELECT2_VIN7_SHIFT (15U)	// VIN7 Interrupt Select
#define IRQSELECT2_VIN6_SHIFT (14U)	// VIN6 Interrupt Select
#define IRQSELECT2_VIN5_SHIFT (13U)	// VIN5 Interrupt Select
#define IRQSELECT2_VIN4_SHIFT (12U)	// VIN4 Interrupt Select
#define IRQSELECT2_WD12_SHIFT (11U)	// WDMA12 Interrupt Select
#define IRQSELECT2_WD11_SHIFT (10U)	// WDMA11 Interrupt Select
#define IRQSELECT2_WD10_SHIFT (9U)	// WDMA10 Interrupt Select
#define IRQSELECT2_WD9_SHIFT (8U)	// WDMA9 Interrupt Select

#define IRQSELECT2_FBC_DEC1_SHIFT (1U) // PVRIC_FBDC1 Interrupt Select
#define IRQSELECT2_FBC_DEC0_SHIFT (0U) // PVRIC_FBDC0 Interrupt Select

#define IRQSELECT2_WD13_MASK ((u32)0x1U << IRQSELECT2_WD13_SHIFT)
#define IRQSELECT2_SC7_MASK ((u32)0x1U << IRQSELECT2_SC7_SHIFT)
#define IRQSELECT2_SC6_MASK ((u32)0x1U << IRQSELECT2_SC6_SHIFT)
#define IRQSELECT2_VIN7_MASK ((u32)0x1U << IRQSELECT2_VIN7_SHIFT)
#define IRQSELECT2_VIN6_MASK ((u32)0x1U << IRQSELECT2_VIN6_SHIFT)
#define IRQSELECT2_VIN5_MASK ((u32)0x1U << IRQSELECT2_VIN5_SHIFT)
#define IRQSELECT2_VIN4_MASK ((u32)0x1U << IRQSELECT2_VIN4_SHIFT)
#define IRQSELECT2_WD12_MASK ((u32)0x1U << IRQSELECT2_WD12_SHIFT)
#define IRQSELECT2_WD11_MASK ((u32)0x1U << IRQSELECT2_WD11_SHIFT)
#define IRQSELECT2_WD10_MASK ((u32)0x1U << IRQSELECT2_WD10_SHIFT)
#define IRQSELECT2_WD9_MASK ((u32)0x1U << IRQSELECT2_WD9_SHIFT)
#define IRQSELECT2_FBC_DEC1_MASK ((u32)0x1U << IRQSELECT2_FBC_DEC1_SHIFT)
#define IRQSELECT2_FBC_DEC0_MASK ((u32)0x1U << IRQSELECT2_FBC_DEC0_SHIFT)

/*
 * Interrupt Mask Set 0 Registers
 * @Description: 0 - Enable, 1 - Disable
 */
#define IRQMASKSET0_DEV3_SHIFT (30U)	// Display Device 3 Interrupt Mask
#define IRQMASKSET0_FIFO1_SHIFT (29U)	// ASync. FIFO1 Interrupt Mask
#define IRQMASKSET0_FIFO0_SHIFT (28U)	// ASync. FIFO0 Interrupt Mask
#define IRQMASKSET0_MC1_SHIFT (23U)	// Map Conv1 Interrupt Mask
#define IRQMASKSET0_MC0_SHIFT (22U)	// Map Conv0 Interrupt Mask
#define IRQMASKSET0_RD17_SHIFT (21U)	// RDMA17 Interrupt Mask
#define IRQMASKSET0_RD16_SHIFT (20U)	// RDMA16 Interrupt Mask
#define IRQMASKSET0_RD15_SHIFT (19U)	// RDMA15 Interrupt Mask
#define IRQMASKSET0_RD14_SHIFT (18U)	// RDMA14 Interrupt Mask
#define IRQMASKSET0_RD13_SHIFT (17U)	// RDMA13 Interrupt Mask
#define IRQMASKSET0_RD12_SHIFT (16U)	// RDMA12 Interrupt Mask
#define IRQMASKSET0_RD11_SHIFT (15U)	// RDMA11 Interrupt Mask
#define IRQMASKSET0_RD10_SHIFT (14U)	// RDMA10 Interrupt Mask
#define IRQMASKSET0_RD9_SHIFT (13U)	// RDMA09 Interrupt Mask
#define IRQMASKSET0_RD8_SHIFT (12U)	// RDMA08 Interrupt Mask
#define IRQMASKSET0_RD7_SHIFT (11U)	// RDMA07 Interrupt Mask
#define IRQMASKSET0_RD6_SHIFT (10U)	// RDMA06 Interrupt Mask
#define IRQMASKSET0_RD5_SHIFT (9U)	// RDMA05 Interrupt Mask
#define IRQMASKSET0_RD4_SHIFT (8U)	// RDMA04 Interrupt Mask
#define IRQMASKSET0_RD3_SHIFT (7U)	// RDMA03 Interrupt Mask
#define IRQMASKSET0_RD2_SHIFT (6U)	// RDMA02 Interrupt Mask
#define IRQMASKSET0_RD1_SHIFT (5U)	// RDMA01 Interrupt Mask
#define IRQMASKSET0_RD0_SHIFT (4U)	// RDMA00 Interrupt Mask
#define IRQMASKSET0_TIMER_SHIFT (3U)	// TIMER Interrupt Mask
#define IRQMASKSET0_DEV2_SHIFT (2U)	// Display Device 2 Interrupt Mask
#define IRQMASKSET0_DEV1_SHIFT (1U)	// Display Device 1 Interrupt Mask
#define IRQMASKSET0_DEV0_SHIFT (0U)	// Display Device 0 Interrupt Mask

#define IRQMASKSET0_DEV3_MASK ((u32)0x1U <<	IRQMASKSET0_DEV3_SHIFT)
#define IRQMASKSET0_FIFO1_MASK ((u32)0x1U <<	IRQMASKSET0_FIFO1_SHIFT)
#define IRQMASKSET0_FIFO0_MASK ((u32)0x1U <<	IRQMASKSET0_FIFO0_SHIFT)
#define IRQMASKSET0_MC1_MASK ((u32)0x1U <<	IRQMASKSET0_MC1_SHIFT)
#define IRQMASKSET0_MC0_MASK ((u32)0x1U <<	IRQMASKSET0_MC0_SHIFT)
#define IRQMASKSET0_RD17_MASK ((u32)0x1U <<	IRQMASKSET0_RD17_SHIFT)
#define IRQMASKSET0_RD16_MASK ((u32)0x1U <<	IRQMASKSET0_RD16_SHIFT)
#define IRQMASKSET0_RD15_MASK ((u32)0x1U <<	IRQMASKSET0_RD15_SHIFT)
#define IRQMASKSET0_RD14_MASK ((u32)0x1U <<	IRQMASKSET0_RD14_SHIFT)
#define IRQMASKSET0_RD13_MASK ((u32)0x1U <<	IRQMASKSET0_RD13_SHIFT)
#define IRQMASKSET0_RD12_MASK ((u32)0x1U <<	IRQMASKSET0_RD12_SHIFT)
#define IRQMASKSET0_RD11_MASK ((u32)0x1U <<	IRQMASKSET0_RD11_SHIFT)
#define IRQMASKSET0_RD10_MASK ((u32)0x1U <<	IRQMASKSET0_RD10_SHIFT)
#define IRQMASKSET0_RD9_MASK ((u32)0x1U <<	IRQMASKSET0_RD9_SHIFT)
#define IRQMASKSET0_RD8_MASK ((u32)0x1U <<	IRQMASKSET0_RD8_SHIFT)
#define IRQMASKSET0_RD7_MASK ((u32)0x1U <<	IRQMASKSET0_RD7_SHIFT)
#define IRQMASKSET0_RD6_MASK ((u32)0x1U <<	IRQMASKSET0_RD6_SHIFT)
#define IRQMASKSET0_RD5_MASK ((u32)0x1U <<	IRQMASKSET0_RD5_SHIFT)
#define IRQMASKSET0_RD4_MASK ((u32)0x1U <<	IRQMASKSET0_RD4_SHIFT)
#define IRQMASKSET0_RD3_MASK ((u32)0x1U <<	IRQMASKSET0_RD3_SHIFT)
#define IRQMASKSET0_RD2_MASK ((u32)0x1U <<	IRQMASKSET0_RD2_SHIFT)
#define IRQMASKSET0_RD1_MASK ((u32)0x1U <<	IRQMASKSET0_RD1_SHIFT)
#define IRQMASKSET0_RD0_MASK ((u32)0x1U <<	IRQMASKSET0_RD0_SHIFT)
#define IRQMASKSET0_TIMER_MASK ((u32)0x1U << IRQMASKSET0_TIMER_SHIFT)
#define IRQMASKSET0_DEV2_MASK ((u32)0x1U <<	IRQMASKSET0_DEV2_SHIFT)
#define IRQMASKSET0_DEV1_MASK ((u32)0x1U <<	IRQMASKSET0_DEV1_SHIFT)
#define IRQMASKSET0_DEV0_MASK ((u32)0x1U <<	IRQMASKSET0_DEV0_SHIFT)

/*
 * Interrupt Mask Set 1 Registers
 * @Description: 0 - Normal, 1 - Interrupt
 */
#define IRQMASKSET1_SC3_SHIFT (31U) // Scaler3 Interrupt Mask
#define IRQMASKSET1_SC2_SHIFT (30U) // Scaler2 Interrupt Mask
#define IRQMASKSET1_SC1_SHIFT (29U) // Scaler1 Interrupt Mask
#define IRQMASKSET1_SC0_SHIFT (28U) // Scaler0 Interrupt Mask
#define IRQMASKSET1_VIQE0_SHIFT (27U) // VIQE0 Interrupt Mask
#define IRQMASKSET1_VIN3_SHIFT (26U) // VIN3 Interrupt Mask
#define IRQMASKSET1_VIN2_SHIFT (25U) // VIN2 Interrupt Mask
#define IRQMASKSET1_VIN1_SHIFT (24U) // VIN1 Interrupt Mask
#define IRQMASKSET1_VIN0_SHIFT (23U) // VIN0 Interrupt Mask
#define IRQMASKSET1_WMIX6_SHIFT (22U) // WMIX6 Interrupt Mask
#define IRQMASKSET1_WMIX5_SHIFT (21U) // WMIX5 Interrupt Mask
#define IRQMASKSET1_WMIX4_SHIFT (20U) // WMIX4 Interrupt Mask
#define IRQMASKSET1_WMIX3_SHIFT (19U) // WMIX3 Interrupt Mask
#define IRQMASKSET1_WMIX2_SHIFT (18U) // WMIX2 Interrupt Mask
#define IRQMASKSET1_WMIX1_SHIFT (17U) // WMIX1 Interrupt Mask
#define IRQMASKSET1_WMIX0_SHIFT (16U) // WMIX0 Interrupt Mask
#define IRQMASKSET1_VIQE1_SHIFT (13U) // VIQE1 Interrupt Mask
#define IRQMASKSET1_SC5_SHIFT (12U)	// Scaler5 Interrupt Mask
#define IRQMASKSET1_SC4_SHIFT (11U) // Scaler4 Interrupt Mask
#define IRQMASKSET1_WD8_SHIFT (8U)  // WDMA08 Interrupt Mask
#define IRQMASKSET1_WD7_SHIFT (7U)  // WDMA07 Interrupt Mask
#define IRQMASKSET1_WD6_SHIFT (6U)  // WDMA06 Interrupt Mask
#define IRQMASKSET1_WD5_SHIFT (5U)  // WDMA05 Interrupt Mask
#define IRQMASKSET1_WD4_SHIFT (4U)  // WDMA04 Interrupt Mask
#define IRQMASKSET1_WD3_SHIFT (3U)  // WDMA03 Interrupt Mask
#define IRQMASKSET1_WD2_SHIFT (2U)  // WDMA02 Interrupt Mask
#define IRQMASKSET1_WD1_SHIFT (1U)  // WDMA01 Interrupt Mask
#define IRQMASKSET1_WD0_SHIFT (0U)  // WDMA00 Interrupt Mask

#define IRQMASKSET1_SC3_MASK ((u32)0x1U << IRQMASKSET1_SC3_SHIFT)
#define IRQMASKSET1_SC2_MASK ((u32)0x1U << IRQMASKSET1_SC2_SHIFT)
#define IRQMASKSET1_SC1_MASK ((u32)0x1U << IRQMASKSET1_SC1_SHIFT)
#define IRQMASKSET1_SC0_MASK ((u32)0x1U << IRQMASKSET1_SC0_SHIFT)
#define IRQMASKSET1_VIQE0_MASK ((u32)0x1U << IRQMASKSET1_VIQE0_SHIFT)
#define IRQMASKSET1_VIN3_MASK ((u32)0x1U << IRQMASKSET1_VIN3_SHIFT)
#define IRQMASKSET1_VIN2_MASK ((u32)0x1U << IRQMASKSET1_VIN2_SHIFT)
#define IRQMASKSET1_VIN1_MASK ((u32)0x1U << IRQMASKSET1_VIN1_SHIFT)
#define IRQMASKSET1_VIN0_MASK ((u32)0x1U << IRQMASKSET1_VIN0_SHIFT)
#define IRQMASKSET1_WMIX6_MASK ((u32)0x1U << IRQMASKSET1_WMIX6_SHIFT)
#define IRQMASKSET1_WMIX5_MASK ((u32)0x1U << IRQMASKSET1_WMIX5_SHIFT)
#define IRQMASKSET1_WMIX4_MASK ((u32)0x1U << IRQMASKSET1_WMIX4_SHIFT)
#define IRQMASKSET1_WMIX3_MASK ((u32)0x1U << IRQMASKSET1_WMIX3_SHIFT)
#define IRQMASKSET1_WMIX2_MASK ((u32)0x1U << IRQMASKSET1_WMIX2_SHIFT)
#define IRQMASKSET1_WMIX1_MASK ((u32)0x1U << IRQMASKSET1_WMIX1_SHIFT)
#define IRQMASKSET1_WMIX0_MASK ((u32)0x1U << IRQMASKSET1_WMIX0_SHIFT)
#define IRQMASKSET1_VIQE1_MASK ((u32)0x1U << IRQMASKSET1_VIQE1_SHIFT)
#define IRQMASKSET1_SC5_MASK ((u32)0x1U << IRQMASKSET1_SC5_SHIFT)
#define IRQMASKSET1_SC4_MASK ((u32)0x1U << IRQMASKSET1_SC4_SHIFT)
#define IRQMASKSET1_WD8_MASK ((u32)0x1U << IRQMASKSET1_WD8_SHIFT)
#define IRQMASKSET1_WD7_MASK ((u32)0x1U << IRQMASKSET1_WD7_SHIFT)
#define IRQMASKSET1_WD6_MASK ((u32)0x1U << IRQMASKSET1_WD6_SHIFT)
#define IRQMASKSET1_WD5_MASK ((u32)0x1U << IRQMASKSET1_WD5_SHIFT)
#define IRQMASKSET1_WD4_MASK ((u32)0x1U << IRQMASKSET1_WD4_SHIFT)
#define IRQMASKSET1_WD3_MASK ((u32)0x1U << IRQMASKSET1_WD3_SHIFT)
#define IRQMASKSET1_WD2_MASK ((u32)0x1U << IRQMASKSET1_WD2_SHIFT)
#define IRQMASKSET1_WD1_MASK ((u32)0x1U << IRQMASKSET1_WD1_SHIFT)
#define IRQMASKSET1_WD0_MASK ((u32)0x1U << IRQMASKSET1_WD0_SHIFT)

/*
 * Interrupt Mask Set k_2 Register
 */
#define IRQMASKSET2_WD13_SHIFT (18U) // WDMA13 Interrupt Mask
#define IRQMASKSET2_SC7_SHIFT (17U) // Scaler7 Interrupt Msk
#define IRQMASKSET2_SC6_SHIFT (16U) // Scaler6 Interrupt Msk
#define IRQMASKSET2_VIN7_SHIFT (15U) // VIN7 Interrupt Mask
#define IRQMASKSET2_VIN6_SHIFT (14U) // VIN6 Interrupt Mask
#define IRQMASKSET2_VIN5_SHIFT (13U) // VIN5 Interrupt Mask
#define IRQMASKSET2_VIN4_SHIFT (12U) // VIN4 Interrupt Mask
#define IRQMASKSET2_WD12_SHIFT (11U) // WDMA12 Interrupt Mask
#define IRQMASKSET2_WD11_SHIFT (10U) // WDMA11 Interrupt Mask
#define IRQMASKSET2_WD10_SHIFT (9U) // WDMA10 Interrupt Mask
#define IRQMASKSET2_WD9_SHIFT (8U) // WDMA9 Interrupt Mask
#define IRQMASKSET2_FBC_DEC1_SHIFT (1U) // PVRIC_FBDC1 Interrupt Mask
#define IRQMASKSET2_FBC_DEC0_SHIFT (0U) // PVRIC_FBDC0 Interrupt Mask

#define IRQMASKSET2_WD13_MASK ((u32)0x1U << IRQMASKSET2_WD13_SHIFT)
#define IRQMASKSET2_SC7_MASK ((u32)0x1U << IRQMASKSET2_SC7_SHIFT)
#define IRQMASKSET2_SC6_MASK ((u32)0x1U << IRQMASKSET2_SC6_SHIFT)
#define IRQMASKSET2_VIN7_MASK ((u32)0x1U << IRQMASKSET2_VIN7_SHIFT)
#define IRQMASKSET2_VIN6_MASK ((u32)0x1U << IRQMASKSET2_VIN6_SHIFT)
#define IRQMASKSET2_VIN5_MASK ((u32)0x1U << IRQMASKSET2_VIN5_SHIFT)
#define IRQMASKSET2_VIN4_MASK ((u32)0x1U << IRQMASKSET2_VIN4_SHIFT)
#define IRQMASKSET2_WD12_MASK ((u32)0x1U << IRQMASKSET2_WD12_SHIFT)
#define IRQMASKSET2_WD11_MASK ((u32)0x1U << IRQMASKSET2_WD11_SHIFT)
#define IRQMASKSET2_WD10_MASK ((u32)0x1U << IRQMASKSET2_WD10_SHIFT)
#define IRQMASKSET2_WD9_MASK ((u32)0x1U << IRQMASKSET2_WD9_SHIFT)
#define IRQMASKSET2_FBC_DEC1_MASK ((u32)0x1U << IRQMASKSET2_FBC_DEC1_SHIFT)
#define IRQMASKSET2_FBC_DEC0_MASK ((u32)0x1U << IRQMASKSET2_FBC_DEC0_SHIFT)

/*
 * Interrupt Mask Clear 0 Registers
 * @Description: 0 - Normal, 1 - Clear
 */
#define IRQMASKCLR0_DEV3_SHIFT (30U)	// Display Device 3 Interrupt Mask Clear
#define IRQMASKCLR0_FIFO1_SHIFT (29U) // ASync. FIFO1 Interrupt Mask Clear
#define IRQMASKCLR0_FIFO0_SHIFT (28U) // ASync. FIFO0 Interrupt Mask Clear
#define IRQMASKCLR0_MC1_SHIFT (23U) // Map Conv1 Interrupt Mask Clear
#define IRQMASKCLR0_MC0_SHIFT (22U) // Map Conv0 Interrupt Mask Clear
#define IRQMASKCLR0_RD17_SHIFT (21U) // RDMA17 Interrupt Mask Clear
#define IRQMASKCLR0_RD16_SHIFT (20U) // RDMA16 Interrupt Mask Clear
#define IRQMASKCLR0_RD15_SHIFT (19U) // RDMA15 Interrupt Mask Clear
#define IRQMASKCLR0_RD14_SHIFT (18U) // RDMA14 Interrupt Mask Clear
#define IRQMASKCLR0_RD13_SHIFT (17U) // RDMA13 Interrupt Mask Clear
#define IRQMASKCLR0_RD12_SHIFT (16U) // RDMA12 Interrupt Mask Clear
#define IRQMASKCLR0_RD11_SHIFT (15U) // RDMA11 Interrupt Mask Clear
#define IRQMASKCLR0_RD10_SHIFT (14U) // RDMA10 Interrupt Mask Clear
#define IRQMASKCLR0_RD9_SHIFT (13U) // RDMA09 Interrupt Mask Clear
#define IRQMASKCLR0_RD8_SHIFT (12U) // RDMA08 Interrupt Mask Clear
#define IRQMASKCLR0_RD7_SHIFT (11U) // RDMA07 Interrupt Mask Clear
#define IRQMASKCLR0_RD6_SHIFT (10U) // RDMA06 Interrupt Mask Clear
#define IRQMASKCLR0_RD5_SHIFT (9U)	// RDMA05 Interrupt Mask Clear
#define IRQMASKCLR0_RD4_SHIFT (8U)	// RDMA04 Interrupt Mask Clear
#define IRQMASKCLR0_RD3_SHIFT (7U)	// RDMA03 Interrupt Mask Clear
#define IRQMASKCLR0_RD2_SHIFT (6U)	// RDMA02 Interrupt Mask Clear
#define IRQMASKCLR0_RD1_SHIFT (5U)	// RDMA01 Interrupt Mask Clear
#define IRQMASKCLR0_RD0_SHIFT (4U)	// RDMA00 Interrupt Mask Clear
#define IRQMASKCLR0_TIMER_SHIFT (3U)	// TIMER Interrupt Mask Clear
#define IRQMASKCLR0_DEV2_SHIFT (2U)	// Display Device 2 Interrupt Mask Clear
#define IRQMASKCLR0_DEV1_SHIFT (1U)	// Display Device 1 Interrupt Mask Clear
#define IRQMASKCLR0_DEV0_SHIFT (0U)	// Display Device 0 Interrupt Mask Clear

#define IRQMASKCLR0_DEV3_MASK ((u32)0x1U <<	IRQMASKCLR0_DEV3_SHIFT)
#define IRQMASKCLR0_FIFO1_MASK ((u32)0x1U << IRQMASKCLR0_FIFO1_SHIFT)
#define IRQMASKCLR0_FIFO0_MASK ((u32)0x1U << IRQMASKCLR0_FIFO0_SHIFT)
#define IRQMASKCLR0_MC1_MASK ((u32)0x1U << IRQMASKCLR0_MC1_SHIFT)
#define IRQMASKCLR0_MC0_MASK ((u32)0x1U << IRQMASKCLR0_MC0_SHIFT)
#define IRQMASKCLR0_RD17_MASK ((u32)0x1U << IRQMASKCLR0_RD17_SHIFT)
#define IRQMASKCLR0_RD16_MASK ((u32)0x1U << IRQMASKCLR0_RD16_SHIFT)
#define IRQMASKCLR0_RD15_MASK ((u32)0x1U << IRQMASKCLR0_RD15_SHIFT)
#define IRQMASKCLR0_RD14_MASK ((u32)0x1U << IRQMASKCLR0_RD14_SHIFT)
#define IRQMASKCLR0_RD13_MASK ((u32)0x1U << IRQMASKCLR0_RD13_SHIFT)
#define IRQMASKCLR0_RD12_MASK ((u32)0x1U << IRQMASKCLR0_RD12_SHIFT)
#define IRQMASKCLR0_RD11_MASK ((u32)0x1U << IRQMASKCLR0_RD11_SHIFT)
#define IRQMASKCLR0_RD10_MASK ((u32)0x1U << IRQMASKCLR0_RD10_SHIFT)
#define IRQMASKCLR0_RD9_MASK ((u32)0x1U << IRQMASKCLR0_RD9_SHIFT)
#define IRQMASKCLR0_RD8_MASK ((u32)0x1U << IRQMASKCLR0_RD8_SHIFT)
#define IRQMASKCLR0_RD7_MASK ((u32)0x1U << IRQMASKCLR0_RD7_SHIFT)
#define IRQMASKCLR0_RD6_MASK ((u32)0x1U << IRQMASKCLR0_RD6_SHIFT)
#define IRQMASKCLR0_RD5_MASK ((u32)0x1U << IRQMASKCLR0_RD5_SHIFT)
#define IRQMASKCLR0_RD4_MASK ((u32)0x1U << IRQMASKCLR0_RD4_SHIFT)
#define IRQMASKCLR0_RD3_MASK ((u32)0x1U << IRQMASKCLR0_RD3_SHIFT)
#define IRQMASKCLR0_RD2_MASK ((u32)0x1U << IRQMASKCLR0_RD2_SHIFT)
#define IRQMASKCLR0_RD1_MASK ((u32)0x1U << IRQMASKCLR0_RD1_SHIFT)
#define IRQMASKCLR0_RD0_MASK ((u32)0x1U << IRQMASKCLR0_RD0_SHIFT)
#define IRQMASKCLR0_TIMER_MASK ((u32)0x1U << IRQMASKCLR0_TIMER_SHIFT)
#define IRQMASKCLR0_DEV2_MASK ((u32)0x1U << IRQMASKCLR0_DEV2_SHIFT)
#define IRQMASKCLR0_DEV1_MASK ((u32)0x1U << IRQMASKCLR0_DEV1_SHIFT)
#define IRQMASKCLR0_DEV0_MASK ((u32)0x1U << IRQMASKCLR0_DEV0_SHIFT)

/*
 * Interrupt Mask Clear Set 1 Registers
 * @Description: 0 - Normal, 1 - Interrupt
 */
#define IRQMASKCLR1_SC3_SHIFT (31U) // Scaler3 Interrupt Mask Clear
#define IRQMASKCLR1_SC2_SHIFT (30U) // Scaler2 Interrupt Mask Clear
#define IRQMASKCLR1_SC1_SHIFT (29U) // Scaler1 Interrupt Mask Clear
#define IRQMASKCLR1_SC0_SHIFT (28U) // Scaler0 Interrupt Mask Clear
#define IRQMASKCLR1_VIQE0_SHIFT (27U) // VIQE0 Interrupt Mask Clear
#define IRQMASKCLR1_VIN3_SHIFT (26U) // VIN3 Interrupt Mask Clear
#define IRQMASKCLR1_VIN2_SHIFT (25U) // VIN2 Interrupt Mask Clear
#define IRQMASKCLR1_VIN1_SHIFT (24U) // VIN1 Interrupt Mask Clear
#define IRQMASKCLR1_VIN0_SHIFT (23U) // VIN0 Interrupt Mask Clear
#define IRQMASKCLR1_WMIX6_SHIFT (22U) // WMIX6 Interrupt Mask Clear
#define IRQMASKCLR1_WMIX5_SHIFT (21U) // WMIX5 Interrupt Mask Clear
#define IRQMASKCLR1_WMIX4_SHIFT (20U) // WMIX4 Interrupt Mask Clear
#define IRQMASKCLR1_WMIX3_SHIFT (19U) // WMIX3 Interrupt Mask Clear
#define IRQMASKCLR1_WMIX2_SHIFT (18U) // WMIX2 Interrupt Mask Clear
#define IRQMASKCLR1_WMIX1_SHIFT (17U) // WMIX1 Interrupt Mask Clear
#define IRQMASKCLR1_WMIX0_SHIFT (16U) // WMIX0 Interrupt Mask Clear
#define IRQMASKCLR1_VIQE1_SHIFT (13U) // VIQE1 Interrupt Mask Clear
#define IRQMASKCLR1_SC5_SHIFT (12U)	// Scaler5 Interrupt Mask Clear
#define IRQMASKCLR1_SC4_SHIFT (11U) // Scaler4 Interrupt Mask Clear
#define IRQMASKCLR1_WD8_SHIFT (8U)	 // WDMA08 Interrupt Mask Clear
#define IRQMASKCLR1_WD7_SHIFT (7U)	 // WDMA07 Interrupt Mask Clear
#define IRQMASKCLR1_WD6_SHIFT (6U)	 // WDMA06 Interrupt Mask Clear
#define IRQMASKCLR1_WD5_SHIFT (5U)	 // WDMA05 Interrupt Mask Clear
#define IRQMASKCLR1_WD4_SHIFT (4U)	 // WDMA04 Interrupt Mask Clear
#define IRQMASKCLR1_WD3_SHIFT (3U)	 // WDMA03 Interrupt Mask Clear
#define IRQMASKCLR1_WD2_SHIFT (2U)	 // WDMA02 Interrupt Mask Clear
#define IRQMASKCLR1_WD1_SHIFT (1U)	 // WDMA01 Interrupt Mask Clear
#define IRQMASKCLR1_WD0_SHIFT (0U)	 // WDMA00 Interrupt Mask Clear

#define IRQMASKCLR1_SC3_MASK ((u32)0x1U << IRQMASKCLR1_SC3_SHIFT)
#define IRQMASKCLR1_SC2_MASK ((u32)0x1U << IRQMASKCLR1_SC2_SHIFT)
#define IRQMASKCLR1_SC1_MASK ((u32)0x1U << IRQMASKCLR1_SC1_SHIFT)
#define IRQMASKCLR1_SC0_MASK ((u32)0x1U << IRQMASKCLR1_SC0_SHIFT)
#define IRQMASKCLR1_VIQE0_MASK ((u32)0x1U << IRQMASKCLR1_VIQE0_SHIFT)
#define IRQMASKCLR1_VIN3_MASK ((u32)0x1U << IRQMASKCLR1_VIN3_SHIFT)
#define IRQMASKCLR1_VIN2_MASK ((u32)0x1U << IRQMASKCLR1_VIN2_SHIFT)
#define IRQMASKCLR1_VIN1_MASK ((u32)0x1U << IRQMASKCLR1_VIN1_SHIFT)
#define IRQMASKCLR1_VIN0_MASK ((u32)0x1U << IRQMASKCLR1_VIN0_SHIFT)
#define IRQMASKCLR1_WMIX6_MASK ((u32)0x1U << IRQMASKCLR1_WMIX6_SHIFT)
#define IRQMASKCLR1_WMIX5_MASK ((u32)0x1U << IRQMASKCLR1_WMIX5_SHIFT)
#define IRQMASKCLR1_WMIX4_MASK ((u32)0x1U << IRQMASKCLR1_WMIX4_SHIFT)
#define IRQMASKCLR1_WMIX3_MASK ((u32)0x1U << IRQMASKCLR1_WMIX3_SHIFT)
#define IRQMASKCLR1_WMIX2_MASK ((u32)0x1U << IRQMASKCLR1_WMIX2_SHIFT)
#define IRQMASKCLR1_WMIX1_MASK ((u32)0x1U << IRQMASKCLR1_WMIX1_SHIFT)
#define IRQMASKCLR1_WMIX0_MASK ((u32)0x1U << IRQMASKCLR1_WMIX0_SHIFT)
#define IRQMASKCLR1_VIQE1_MASK ((u32)0x1U << IRQMASKCLR1_VIQE1_SHIFT)
#define IRQMASKCLR1_SC5_MASK ((u32)0x1U << IRQMASKCLR1_SC5_SHIFT)
#define IRQMASKCLR1_SC4_MASK ((u32)0x1U << IRQMASKCLR1_SC4_SHIFT)
#define IRQMASKCLR1_WD8_MASK ((u32)0x1U << IRQMASKCLR1_WD8_SHIFT)
#define IRQMASKCLR1_WD7_MASK ((u32)0x1U << IRQMASKCLR1_WD7_SHIFT)
#define IRQMASKCLR1_WD6_MASK ((u32)0x1U << IRQMASKCLR1_WD6_SHIFT)
#define IRQMASKCLR1_WD5_MASK ((u32)0x1U << IRQMASKCLR1_WD5_SHIFT)
#define IRQMASKCLR1_WD4_MASK ((u32)0x1U << IRQMASKCLR1_WD4_SHIFT)
#define IRQMASKCLR1_WD3_MASK ((u32)0x1U << IRQMASKCLR1_WD3_SHIFT)
#define IRQMASKCLR1_WD2_MASK ((u32)0x1U << IRQMASKCLR1_WD2_SHIFT)
#define IRQMASKCLR1_WD1_MASK ((u32)0x1U << IRQMASKCLR1_WD1_SHIFT)
#define IRQMASKCLR1_WD0_MASK ((u32)0x1U << IRQMASKCLR1_WD0_SHIFT)

/*
 * Interrupt Mask Set k_2 Register
 */
#define IRQMASKCLR2_WD13_SHIFT (18U) // WDMA13 Interrupt Mask
#define IRQMASKCLR2_SC7_SHIFT (17U) // Scaler7 Interrupt Mask
#define IRQMASKCLR2_SC6_SHIFT (16U) // Scaler6 Interrupt Mask
#define IRQMASKCLR2_VIN7_SHIFT (15U) // VIN7 Interrupt Mask
#define IRQMASKCLR2_VIN6_SHIFT (14U) // VIN6 Interrupt Mask
#define IRQMASKCLR2_VIN5_SHIFT (13U) // VIN5 Interrupt Mask
#define IRQMASKCLR2_VIN4_SHIFT (12U) // VIN4 Interrupt Mask
#define IRQMASKCLR2_WD12_SHIFT (11U) // WDMA12 Interrupt Mask
#define IRQMASKCLR2_WD11_SHIFT (10U) // WDMA11 Interrupt Mask
#define IRQMASKCLR2_WD10_SHIFT (9U) // WDMA10 Interrupt Mask
#define IRQMASKCLR2_WD9_SHIFT (8U) // WDMA9 Interrupt Mask
#define IRQMASKCLR2_FBC_DEC1_SHIFT (1U) // PVRIC_FBDC1 Interrupt Mask
#define IRQMASKCLR2_FBC_DEC0_SHIFT (0U) // PVRIC_FBDC0 Interrupt Mask

#define IRQMASKCLR2_WD13_MASK ((u32)0x1U << IRQMASKCLR2_WD13_SHIFT)
#define IRQMASKCLR2_SC7_MASK ((u32)0x1U << IRQMASKCLR2_SC7_SHIFT)
#define IRQMASKCLR2_SC6_MASK ((u32)0x1U << IRQMASKCLR2_SC6_SHIFT)
#define IRQMASKCLR2_VIN7_MASK ((u32)0x1U << IRQMASKCLR2_VIN7_SHIFT)
#define IRQMASKCLR2_VIN6_MASK ((u32)0x1U << IRQMASKCLR2_VIN6_SHIFT)
#define IRQMASKCLR2_VIN5_MASK ((u32)0x1U << IRQMASKCLR2_VIN5_SHIFT)
#define IRQMASKCLR2_VIN4_MASK ((u32)0x1U << IRQMASKCLR2_VIN4_SHIFT)
#define IRQMASKCLR2_WD12_MASK ((u32)0x1U << IRQMASKCLR2_WD12_SHIFT)
#define IRQMASKCLR2_WD11_MASK ((u32)0x1U << IRQMASKCLR2_WD11_SHIFT)
#define IRQMASKCLR2_WD10_MASK ((u32)0x1U << IRQMASKCLR2_WD10_SHIFT)
#define IRQMASKCLR2_WD9_MASK ((u32)0x1U << IRQMASKCLR2_WD9_SHIFT)
#define IRQMASKCLR2_FBC_DEC1_MASK ((u32)0x1U << IRQMASKCLR2_FBC_DEC1_SHIFT)
#define IRQMASKCLR2_FBC_DEC0_MASK ((u32)0x1U << IRQMASKCLR2_FBC_DEC0_SHIFT)

/* define for only config & interrupt register */
#define VIOC_CONFIG_RESET 0x1U
#define VIOC_CONFIG_CLEAR 0x0U

//typedef enum {
//	WMIX00 = 0,
//	WMIX03,
//	WMIX10,
//	WMIX13,
//	WMIX30,
//	WMIX40,
//	WMIX50,
//	WMIX60,
//	WMIX_MAX
//} VIOC_CONFIG_WMIX_PATH;

typedef enum {
	FBCDEC0 = 0,
	FBCDEC1,
	FBCDEC_MAX
} VIOC_CONFIG_FBCDEC_PATH;

typedef enum {
	VIOC_CONFIG_DEV	= 0,
	VIOC_CONFIG_WMIXER,
	VIOC_CONFIG_WDMA,
	VIOC_CONFIG_RDMA,
	VIOC_CONFIG_SCALER,
	VIOC_CONFIG_VIQE,
	VIOC_CONFIG_DEINTS,
	VIOC_CONFIG_VIN,
	VIOC_CONFIG_MC,
	VIOC_CONFIG_FCENC,
	VIOC_CONFIG_FCDEC,
	VIOC_CONFIG_DTRC
} VIOC_SWRESET_Component;

typedef struct {
	unsigned int enable;
	unsigned int connect_statue;
	unsigned int connect_device;
} VIOC_PlugInOutCheck;

// Power Down
#define HwDDIC_PWDN_HDMI	Hw2
#define HwDDIC_PWDN_NTSC	Hw1	// NTSC/PAL
#define HwDDIC_PWDN_LCDC	Hw0

// Soft Reset
//#define HwDDIC_SWRESET_HDMI Hw2 // HDMI
//#define HwDDIC_SWRESET_NTSC Hw1 // NTSL/PAL
#define HwDDIC_SWRESET_ISP_AXI Hw2
#define HwDDIC_SWRESET_DP_AXI Hw1 // NTSC/PAL
#define HwDDIC_SWRESET_LCDC	Hw0

/* Interface APIs */
extern int VIOC_AUTOPWR_Enalbe(unsigned int component, unsigned int onoff);
extern int VIOC_CONFIG_PlugIn(
	unsigned int component,
	unsigned int select);
extern int VIOC_CONFIG_PlugOut(unsigned int component);
extern int VIOC_CONFIG_WMIXPath(
	unsigned int component_num,
	unsigned int wmixmode);
extern int VIOC_CONFIG_GetWMIXPath(unsigned int component_num);

#if defined(CONFIG_VIOC_PVRIC_FBDC)
extern int VIOC_CONFIG_FBCDECPath(
	unsigned int FBCDecPath,
	unsigned int rdmaPath,
	unsigned int on);
extern int VIOC_CONFIG_GetFBDCPath(unsigned int fbcdec_id);
#endif

extern int VIOC_CONFIG_MCPath(
	unsigned int component,
	unsigned int mc);
extern void VIOC_CONFIG_WMIXPathReset(
	unsigned int component_num, unsigned int reset);
extern void VIOC_CONFIG_SWReset(
	unsigned int component,
	unsigned int resetmode);
extern int VIOC_CONFIG_Device_PlugState(
	unsigned int component,
	VIOC_PlugInOutCheck *VIOC_PlugIn);
extern int VIOC_CONFIG_GetScaler_PluginToRDMA(
	unsigned int RdmaNum);
extern int VIOC_CONFIG_GetScaler_PluginToWDMA(
	unsigned int WdmaNum);
extern int VIOC_CONFIG_GetViqeDeintls_PluginToRDMA(
	unsigned int RdmaNum);

extern int VIOC_CONFIG_DMAPath_Select(unsigned int DMApath);
extern int VIOC_CONFIG_DMAPath_Set(
	unsigned int DMApath,
	unsigned int dma);
extern int VIOC_CONFIG_DMAPath_UnSet(int dma);
extern int VIOC_CONFIG_DMAPath_Support(void);
extern int VIOC_CONFIG_GetRdma_PluginToComponent(
	unsigned int ComponentNum);
extern void VIOC_CONFIG_StopRequest(unsigned int en);
extern void VIOC_CONFIG_DMAPath_Iint(void);

extern int VIOC_CONFIG_LCDPath_Select(
	unsigned int lcdx_sel,
	unsigned int lcdx_if);
extern void __iomem *VIOC_IREQConfig_GetAddress(void);
extern void VIOC_IREQConfig_DUMP(
	unsigned int offset,
	unsigned int size);
#endif
